#ifndef BatchLab_FitParameterSettings_h
#define BatchLab_FitParameterSettings_h

#include <AIDA/IFitParameterSettings.h>

#include <AIDA/IConstants.h> //For AIDA_VERSION

namespace BatchLab {

class FitParameterSettings : public virtual AIDA::IFitParameterSettings {
public: //AIDA::IFitParameterSettings
  virtual std::string name() const;
  virtual double stepSize() const;
  virtual double upperBound() const;
  virtual double lowerBound() const;
  virtual bool isBound() const;
  virtual bool isFixed() const;
#if (AIDA_VERSION_MAJOR<=3) && (AIDA_VERSION_MINOR<=2) 
  virtual void setStepSize(double);
  virtual void setBounds(double,double);
#else
  virtual bool setStepSize(double);
  virtual bool setBounds(double,double);
#endif
  virtual void removeBounds();
  virtual void setFixed(bool);
  virtual void setLowerBound(double);
  virtual void setUpperBound(double);
  virtual void reset();
public:
  FitParameterSettings(const std::string&);
  FitParameterSettings(const FitParameterSettings&);
  FitParameterSettings& operator =(const FitParameterSettings&);
  virtual ~FitParameterSettings();
private:
  std::string fName;
  double fStepSize;
  double fLowerBound;
  double fUpperBound;
  bool fFixed;
};

}

#endif
