// this :
#include <BatchLab/Core/Array.h>

#include <Lib/Cast.h>

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
BatchLab::Array::Array(
 Slash::Core::IWriter& aPrinter
,const std::string& aName
,const std::string& aTitle
,const std::vector<unsigned int>& aOrders
)
:BaseObject(aPrinter,aName)
,fArray(aOrders)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setTitle(aTitle);
}
//////////////////////////////////////////////////////////////////////////////
BatchLab::Array::Array(
 const BatchLab::Array& aFrom
)
:AIDA::IManagedObject(aFrom)
,Slash::Store::IObject(aFrom)
,Slash::Data::IArray(aFrom)
,Slash::Store::IStorable(aFrom)
,BaseObject(aFrom)
,fAnnotation(aFrom.fAnnotation)
,fTitle(aFrom.fTitle)
,fArray(aFrom.fArray)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
}
//////////////////////////////////////////////////////////////////////////////
BatchLab::Array::~Array(
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
}
//////////////////////////////////////////////////////////////////////////////
Slash::Store::IObject* BatchLab::Array::copy(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return new BatchLab::Array(*this);
}
//////////////////////////////////////////////////////////////////////////////
std::string BatchLab::Array::storeClassName(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return "BatchLab::Array";
}
//////////////////////////////////////////////////////////////////////////////
void* BatchLab::Array::cast(
 const std::string& aClass
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if_Lib_SCast(Slash::Data::IArray)
  else if_Lib_SCast(Slash::Store::IStorable)
  else if_Lib_SCast(BatchLab::Array)
  else return BaseObject::cast(aClass);
}
//////////////////////////////////////////////////////////////////////////////
std::string BatchLab::Array::type(
) const 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{ 
  return "Slash::Data::IArray";
}
//////////////////////////////////////////////////////////////////////////////
std::string BatchLab::Array::title(
) const 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{ 
  return fTitle;
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::setTitle(
 const std::string& aTitle
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{ 
  fTitle = aTitle;
  fAnnotation.setValue("Title",aTitle);
  return true;
}
//////////////////////////////////////////////////////////////////////////////
AIDA::IAnnotation& BatchLab::Array::annotation(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fAnnotation;
}
//////////////////////////////////////////////////////////////////////////////
const AIDA::IAnnotation& BatchLab::Array::annotation(
) const 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fAnnotation;
}
//////////////////////////////////////////////////////////////////////////////
unsigned int BatchLab::Array::dimension(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.dimension();
}
//////////////////////////////////////////////////////////////////////////////
unsigned int BatchLab::Array::size(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.size();
}
//////////////////////////////////////////////////////////////////////////////
const std::vector<unsigned int>& BatchLab::Array::orders(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.orders();
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::setValue(
 const std::vector<unsigned int>& aIs
,double aValue
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.setValue(aIs,aValue);
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::value(
 const std::vector<unsigned int>& aIs
,double& aValue
) const 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.value(aIs,aValue);
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::fill(
 const std::vector<double>& aValues
,Cut* aCut
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.fill(aValues,aCut);
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::copy(
 const Slash::Data::IArray& aFrom
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  const BatchLab::Array* batchlabArray = Lib_ConstCast(aFrom,BatchLab::Array);
  if(!batchlabArray) return false;
  fArray.copy(batchlabArray->fArray);
  return true;
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::add(
 const Slash::Data::IArray& aArray
,Cut* aCut
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  const BatchLab::Array* batchlabArray = 
    Lib_ConstCast(aArray,BatchLab::Array);
  if(!batchlabArray) return false;
  return fArray.add(batchlabArray->fArray,aCut);
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::subtract(
 const Slash::Data::IArray& aArray
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  const BatchLab::Array* batchlabArray = 
    Lib_ConstCast(aArray,BatchLab::Array);
  if(!batchlabArray) return false;
  return fArray.subtract(batchlabArray->fArray);
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::multiply(
 const Slash::Data::IArray& aArray
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  const BatchLab::Array* batchlabArray = 
    Lib_ConstCast(aArray,BatchLab::Array);
  if(!batchlabArray) return false;
  return fArray.multiply(batchlabArray->fArray);
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::divide(
 const Slash::Data::IArray& aArray
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  const BatchLab::Array* batchlabArray = 
    Lib_ConstCast(aArray,BatchLab::Array);
  if(!batchlabArray) return false;
  return fArray.divide(batchlabArray->fArray);
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::add(
 double aValue
,Cut* aCut
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  fArray.add(aValue,aCut);
  return true;
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::multiply(
 double aValue
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  fArray.multiply(aValue);
  return true;
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::invert(
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.invert();
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::indices(
 unsigned int aOffset
,std::vector<unsigned int>& aIs
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.indices(aOffset,aIs);
}
//////////////////////////////////////////////////////////////////////////////
const std::vector<double>& BatchLab::Array::vector(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.vector();
}
//////////////////////////////////////////////////////////////////////////////
std::vector<double>& BatchLab::Array::vector(
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.vector();
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::accept(
 unsigned int aIndex
,const Cut& aCut
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fArray.accept(aIndex,aCut);
}
SLASH_STORE_SOURCE(BatchLab::Array)
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::visit(
 Slash::Store::IConstVisitor& aVisitor
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  SLASH_STORE_BEGIN(BatchLab::Array)

  int version = 1;
  if(!aVisitor.visit("fVersion",version)) return false;

  if(!aVisitor.visit("fAnnotation",fAnnotation)) return false;
  if(!aVisitor.visit("fTitle",fTitle)) return false;
  if(!aVisitor.visit("fArray",fArray.vector())) return false;

  if(!aVisitor.end(*this)) return false;
  return true;
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::Array::read(
 Slash::Store::IVisitor& aVisitor
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(!aVisitor.begin(*this)) return false;

  int version;
  if(!aVisitor.visit(version)) return false;

  if(!fAnnotation.read(aVisitor)) return false;
  if(!aVisitor.visit(fTitle)) return false;
  if(!aVisitor.visit(fArray.vector())) return false;

  if(!aVisitor.end(*this)) return false;
  return true;
}
