// this :
#include <BatchLab/Core/BaseFactory.h>

#include <Lib/Debug.h>
#include <Lib/Arguments.h>

#include <Slash/Store/ITree.h>

BatchLab::BaseFactory::BaseFactory(Slash::Core::IWriter& aPrinter,Slash::Store::ITree& aTree)
:fPrinter(aPrinter)
,fTree(aTree)
{
  Lib::Debug::increment("BatchLab::BaseFactory");
}

BatchLab::BaseFactory::~BaseFactory(){Lib::Debug::decrement("BatchLab::BaseFactory");}

bool BatchLab::BaseFactory::manage(const std::string& aOptions) const {
  if(aOptions.empty()) return true; //optimization.
  // Managed by default.
  Lib::Arguments args(aOptions,";",true);
  bool b;
  if(!args.find("manage",b)) return true;
  return b;
}

bool BatchLab::BaseFactory::manageObject(Slash::Store::IObject* aObject,const std::string& aPath)
{
  // The string "/not_managed" appears too in path_not_managed().
  if(aPath=="/not_managed") return true; //Not managed;
  return fTree.manageObject(aObject,aPath);
}
