// this :
#include <BatchLab/Core/FunctionCatalog.h>

#include <Slash/Tools/Managers.h>

#include <Lib/Out.h>
#include <Lib/sout.h>
#include <Lib/smanip.h>
#include <Lib/fmanip.h>
#include <Lib/System.h>

#include <BatchLab/Core/Environment.h>

//////////////////////////////////////////////////////////////////////////////
BatchLab::FunctionCatalog::FunctionCatalog(
 Slash::Core::ISession& aSession
) 
:fSession(aSession)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
}
//////////////////////////////////////////////////////////////////////////////
BatchLab::FunctionCatalog::~FunctionCatalog(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::FunctionCatalog::add(
 std::string //aName
,AIDA::IFunction* //aFunction
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return false;
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::FunctionCatalog::add(
 std::string //aName
,const std::string& //aCodelet
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return false;
}
//////////////////////////////////////////////////////////////////////////////
std::vector<std::string> BatchLab::FunctionCatalog::list(
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return std::vector<std::string>();
}
//////////////////////////////////////////////////////////////////////////////
void BatchLab::FunctionCatalog::remove(
 const std::string& //aName
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::FunctionCatalog::storeAll(
 const std::string& //aFile
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return false;
}
//////////////////////////////////////////////////////////////////////////////
Slash::Data::IFunction* BatchLab::FunctionCatalog::find(
 const std::string& aFile
,const std::string& aModel
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Slash::Data::IFunctionManager* functionManager = 
    Slash::functionManager(fSession);
  if(!functionManager) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadAll :"
        << " FunctionManager not found."
        << Lib::endl;
    return 0;
  }
  // Already loaded ?
  Slash::Data::IFunction* func = functionManager->findFunction(aModel);
  if(!func) {
    std::string s = aModel;
    Lib::smanip::touppercase(s);
    func = functionManager->findFunction(s);
  }
  if(!func && (aFile.size())) { //Not found. Load the file :
    if(!loadFile(*functionManager,aFile)) return 0;
    func = functionManager->findFunction(aModel);
    if(!func) {
      std::string s = aModel;
      Lib::smanip::touppercase(s);
      func = functionManager->findFunction(s);
    }
  }
  return func;
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::FunctionCatalog::loadAll(
 const std::string& aFile
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Slash::Data::IFunctionManager* functionManager = 
    Slash::functionManager(fSession);
  if(!functionManager) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadAll :"
        << " FunctionManager not found."
        << Lib::endl;
    return false;
  }
  return loadFile(*functionManager,aFile);
}
//////////////////////////////////////////////////////////////////////////////
bool BatchLab::FunctionCatalog::loadFile(
 Slash::Data::IFunctionManager& aFunctionManager
,const std::string& aFile
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
 {//std::vector< std::pair<std::string,std::string> > args = 
  //  fSession.arguments();
  //std::string arg0(args.size()?args[0].first:"");
  if(!set_env(fSession.cout())) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadFile :"
        << " BatchLab::set_env failed."
        << Lib::endl;
    return false;
  }}

  if(!Lib::System::isenv("BATCHLABROOT")) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadFile :"
        << "Environment variable BATCHLABROOT not defined."
        << Lib::endl;
    return false;
  }
  if(!Lib::System::isenv("LIBROOT")) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadFile :"
        << "Environment variable LIBROOT not defined."
        << Lib::endl;
    return false;
  }
  if(!Lib::System::isenv("SLASHROOT")) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadFile :"
        << "Environment variable SLASHROOT not defined."
        << Lib::endl;
    return false;
  }
  if(!Lib::System::isenv("LIBDIRLIB")) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadFile :"
        << "Environment variable LIBDIRLIB not defined."
        << Lib::endl;
    return false;
  }
  if(!Lib::System::isenv("BATCHLABDIRLIB")) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadFile :"
        << "Environment variable BATCHLABDIRLIB not defined."
        << Lib::endl;
    return false;
  }

  std::string builder;

  if(Lib::fmanip::is_f77(aFile)) {

#ifdef WIN32
    builder = "$BATCHLABROOT/scripts/DOS/makf77dll.bat";
#else
    builder = "$BATCHLABROOT/scripts/sh/makf77dll";
#endif

  } else if(Lib::fmanip::is_cpp(aFile)) {

#ifdef WIN32
    builder = "$BATCHLABROOT/scripts/DOS/makcdll.bat";
#else
    builder = "$BATCHLABROOT/scripts/sh/makcdll";
#endif
  }

  if(builder.empty()) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadFile :"
        << " builder not found for file " << Lib::sout(aFile)
        << Lib::endl;
    return false;
  }

  if(!aFunctionManager.load(aFile,builder)) {
    Lib::Out out(fSession.printer());
    out << "BatchLab::FunctionCatalog::loadFile :"
        << " can't load " << Lib::sout(aFile)
        << Lib::endl;
    return false;
  }

  return true;
}
