// this :
#include <BatchLab/Core/FunctionFactory.h>

#include <Slash/Core/ISession.h>
#include <Slash/Data/IFunction.h>
#include <Slash/Data/IFunctionManager.h>
#include <Lib/Manager.h>
#include <Lib/smanip.h>
#include <Lib/Out.h>
#include <Lib/sout.h>
#include <Lib/Debug.h>

#include <BatchLab/Core/Function.h>
#include <BatchLab/Core/FunctionCatalog.h>
#include <BatchLab/Core/FFactory.h>

//////////////////////////////////////////////////////////////////////////////
BatchLab::FunctionFactory::FunctionFactory(
 Slash::Core::ISession& aSession
,Slash::Store::ITree& aTree
)
:BaseFactory(aSession.printer(),aTree)
,fSession(aSession)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Lib::Debug::increment("BatchLab::FunctionFactory");
}
//////////////////////////////////////////////////////////////////////////////
BatchLab::FunctionFactory::~FunctionFactory(
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Lib::Debug::decrement("BatchLab::FunctionFactory");
}
//////////////////////////////////////////////////////////////////////////////
AIDA::IFunction* BatchLab::FunctionFactory::createFunctionByName(
 const std::string& aPath
,const std::string& aWhat
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  std::string path,name,suffix;
  if(!Lib::smanip::pathNameSuffix(aPath,path,name,suffix)) return 0;
  std::string title = name; //FIXME

  //if(aWhat.substr(0,12)=="thread_safe:") 

  BatchLab::BaseFunction* object = 
    BatchLab::FFactory::create(fSession,name,title,aWhat);
  if(!object) return 0;
  //if(!manage(aOptions)) return object;
  if(manageObject(object,path)) return object;
  delete object;
  return 0;
}
//////////////////////////////////////////////////////////////////////////////
AIDA::IFunction* BatchLab::FunctionFactory::createFunctionFromScript(
 const std::string& aPath
,int aDimension //Wanted dimension. 0 could be passed if guessed from script.
,const std::string& aScript
,const std::string& /*aParameters*/
,const std::string& /*aDescription*/
,const std::string& /*aGradExpr*/
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  std::string path,name,suffix;
  if(!Lib::smanip::pathNameSuffix(aPath,path,name,suffix)) return 0;
  std::string title = name;//FIXME

  std::string what = "scripted:"+aScript;
  BatchLab::BaseFunction* object = 
    BatchLab::FFactory::create(fSession,name,title,what);
  if(!object) return 0;
  //if(!manage(aOptions)) return object;
  if(manageObject(object,path)) return object;
  delete object;
  return 0;
}
/*
//////////////////////////////////////////////////////////////////////////////
IFitFunction* BatchLab::FunctionFactory::createFit(
 const std::string& aName
,const std::string& title
,const std::string& aModel
,const std::string& aOptions
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  BatchLab::FitFunction* object = 
  new BatchLab::FitFunction(fPrinter,aName,title,aModel,aOptions);
  if(!manage(aOptions)) return object;
  if(manageObject(object)) return object;
  delete object;
  return 0;
}
*/
AIDA::IFunction* BatchLab::FunctionFactory::cloneFunction(
 const std::string&
,AIDA::IFunction&
) {
  return 0;
}
//////////////////////////////////////////////////////////////////////////////
AIDA::IFunctionCatalog* BatchLab::FunctionFactory::catalog(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return new BatchLab::FunctionCatalog(fSession);
}
