/* G.Barrand */
/* src/H5Tinit.c has to be customized in the same way. */

#if defined(WIN32)

  #include "H5pubconf_win32.h"

#elif defined(__APPLE__) 

  #if defined(__i386__)
  #include "H5pubconf_macosx_intel.h"
  #elif defined(__x86_64__)
  #include "H5pubconf_macosx_x86_64.h"
  #else
  #include "H5pubconf_macosx.h"
  #endif

#elif defined(__CYGWIN__)

  #if defined(__GNUC__)
  #include "H5pubconf_CYGWIN.h"
  #else
  #error "CYGWIN with another compiler than gcc is not yet supported."
  #endif

#elif defined(__linux__)

  #if defined(__x86_64__)
  #include "H5pubconf_Linux_x86_64.h"
  #else
  #include "H5pubconf_Linux.h"
  #endif

#else

  #error "Unknown platform."

#endif
