
#include <Slash/Tools/args.h>

#include <Lib/DLL.h>

#include <cstdlib>
#include <iostream>

int main (int aArgc,char** aArgv) {
  Slash::args args(aArgc,aArgv);

  if(args.is_arg("-h")) {
    std::cout << "Lib_dld :" << std::endl;
    std::cout << "Usage :" << std::endl;
    std::cout << " OS> Lib_dld <options>" << std::endl;
    std::cout << "Options :" << std::endl;
    std::cout << " -dll=<string> : dll to open." << std::endl;
    std::cout << " -symbol=<string> : symbol to search in the dll." << std::endl;
    std::cout << " -verbose." << std::endl;
    std::cout << " -h : to have help." << std::endl;
    std::cout << "For example :" << std::endl;
    std::cout << " OS> Lib_dld -dll=LibTest -symbol=Lib_Test_Init" << std::endl;
    return EXIT_SUCCESS;
  }

  std::string dll;
  if(!args.find("-dll",dll)) {
    std::cout << "Lib_dld :" << std::endl;
    std::cout << " give a dll with -dll=<file>" << std::endl;
    return EXIT_FAILURE;
  }

  int verboseLevel = 0;
  if(args.is_arg("-verbose")) verboseLevel = 1;

 {// Put in a block to check the destruction.
   Lib::DLL module(dll,std::cout,verboseLevel);
  if(!module.isOpened()) return EXIT_FAILURE;

  std::string symbol;
  args.find("-symbol",symbol);

  if(symbol.size()) {
    if(!module.findProcedure(symbol)) {
      return EXIT_FAILURE;
    }
  }}

  return EXIT_SUCCESS;
}

#include <DLL.cxx>

#include <Debug.cxx>

