
#include <Lib/Arguments.h>
#include <Lib/fmanip.h>
#include <Lib/cmanip.h>

#include <stdlib.h>
#include <stdio.h>
#include <iostream>

//////////////////////////////////////////////////////////////////////////////
int main (
 int aArgc
,char** aArgv
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Lib::Arguments args(aArgc,aArgv);

  std::string file;
  if(!args.file(file)) {
    std::cerr << "Lib_file_header :" 
              << " no file given."
              << std::endl;
    return EXIT_FAILURE;
  }

  unsigned char header[4];
  if(!Lib::fmanip::header(file,header)) {
    std::cerr << "Lib_file_header :" 
              << " fmanip::header failed."
              << std::endl;
    return EXIT_FAILURE;
  }

  for(unsigned int index=0;index<4;index++) {
    unsigned char c = header[index];
    if(Lib::cmanip::isPrintable(c)) {
      ::printf("char %d is %d (0x%x) \'%c\'\n",index,c,c,c);
    } else {
      ::printf("char %d is %d (0x%x) (not printable)\n",index,c,c);
    }
  }

  return EXIT_SUCCESS;
}

// embed code :
#include <Arguments.cxx>
#include <fmanip.cxx>
#include <cmanip.cxx>

#include <System.cxx>
#include <smanip.cxx>
#include <Out.cxx>
#include <sout.cxx>


