#ifndef Lib_ProcessorLexer_h
#define Lib_ProcessorLexer_h 

namespace Slash {namespace Core {class IWriter;}}

#include <vector>
#include <string>

namespace Lib {

class ProcessorLexer {
public:
  ProcessorLexer(Slash::Core::IWriter&);
  ProcessorLexer(const ProcessorLexer&);
  ProcessorLexer& operator=(const ProcessorLexer&);
  void set(const std::string&);
  std::vector<std::string>& variables();
  const std::string& variable(unsigned int) const;
  Slash::Core::IWriter& printer() const;
public:
  static int input(char*,int); // Can't be avoided.
private:
  //const std::string& fString;
  std::string fString;
  char* fCurrent;
  char* fEnd;
  std::vector<std::string> fVariables;
  Slash::Core::IWriter& fPrinter;
};

}

#endif
