#ifndef Lib_Upgrader_h
#define Lib_Upgrader_h

#include <string>
#include <vector>
#include <ostream>

namespace Lib {

class Upgrader {
public:
  Upgrader(std::ostream&,int,const std::string&,const std::string& = "");
  Upgrader(const Upgrader&);
  virtual ~Upgrader();
  Upgrader& operator =(const Upgrader&);
  bool upgrade(const std::string&);
  bool upgradeFile(const std::string&);
  bool upgradeDirectory(const std::string&);
  int verboseLevel() const;
private:
  std::ostream& fOut;
  int fVerboseLevel;
  std::vector<std::string> fOrders;
  std::string fFilter;
};

}

#endif
