// this :
#include <Lib/A3s.h>

Lib::A3d::A3d()
:A3<double>() {
}
Lib::A3d::A3d(const double aVec[3])
:A3<double>(aVec) {
}
Lib::A3d::A3d(const double& a0,const double& a1,const double& a2)
:A3<double>(a0,a1,a2){}

//////////////////////////////////////////////////////////////////////////////
/// Some common matrices /////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
Lib::A33d_I::A33d_I(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue00(1);
  setValue11(1);
  setValue22(1);
}
//////////////////////////////////////////////////////////////////////////////
Lib::A33d_R1::A33d_R1(
) 
//////////////////////////////////////////////////////////////////////////////
//  0  0  0
//  0  0  1
//  0 -1  0
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue12( 1);
  setValue21(-1);
}
//////////////////////////////////////////////////////////////////////////////
Lib::A33d_R2::A33d_R2(
) 
//////////////////////////////////////////////////////////////////////////////
//  0  0 -1
//  0  0  0
//  1  0  0
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue02(-1);
  setValue20( 1);
}
//////////////////////////////////////////////////////////////////////////////
Lib::A33d_R3::A33d_R3(
) 
//////////////////////////////////////////////////////////////////////////////
//  0  1  0
// -1  0  0
//  0  0  0
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue01( 1);
  setValue10(-1);
}
//////////////////////////////////////////////////////////////////////////////
Lib::A333d_epsilon::A333d_epsilon(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue210(-1);
  setValue120( 1);
  setValue201( 1);
  setValue021(-1);
  setValue102(-1);
  setValue012( 1);
}

/// To test compilation.

void Lib_A3_test() {
  Lib::A3d a3;
  Lib::A33<double> aa1;
  Lib::A33<double> aa2;
  aa1.invert(aa2);
  Lib::A33<double> tmp;
  aa1.mxmul(aa2,tmp);
}


