// this :
#include <Lib/Log.h>

#include <stdio.h>
#include <stdarg.h>

//////////////////////////////////////////////////////////////////////////////
Lib::Log::Log(
 const std::string& aFileName
)
:fFILE(0)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  std::string name = aFileName;
  if(name.empty()) name = "Lib_Log.log";
  ::remove(name.c_str());
  fFILE = ::fopen(name.c_str(),"wb");
}
//////////////////////////////////////////////////////////////////////////////
Lib::Log::~Log(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(fFILE) ::fclose((FILE*)fFILE);
}
//////////////////////////////////////////////////////////////////////////////
bool Lib::Log::write(
 const std::string& aString
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(!fFILE) return false;
  ::fprintf((FILE*)fFILE,"%s",aString.c_str());
  return true;
}
//////////////////////////////////////////////////////////////////////////////
bool Lib::Log::printf(
 const char* aFormat
,...
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(!fFILE) return false;
#define SIZE 1024
  if(!aFormat) return false;
  char* s = new char[SIZE+1];
  if(!s) return false;
  s[SIZE] = '\0';
  va_list args;
  va_start (args,aFormat);
  vsprintf (s,aFormat,args);
  va_end   (args);
  if(s[SIZE]!='\0') {
    delete [] s;
    return false;
  }
  ::fprintf((FILE*)fFILE,"%s",s);
  delete [] s;
  return true;
}
