// this :
#include <Lib/vmanip.h>

//////////////////////////////////////////////////////////////////////////////
int Lib::vmanip::binarySearch(
 const std::vector<double>& aArray
,double aValue
)
//////////////////////////////////////////////////////////////////////////////
// Binary search in an array of n values to locate value.
//
// Array is supposed  to be sorted prior to this call.
// If match is found, function returns position of element.
// If no match found, function gives nearest element smaller than value.
// If aArray is empty (-1) is returned.
// If aValue is stricly below first element (-1) is returned.
//
// From ROOT/TMath code.
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  int nabove = aArray.size() + 1;
  int nbelow = 0;
  while(nabove-nbelow > 1) {
     int middle = (nabove+nbelow)/2;
     if (aValue == aArray[middle-1]) return middle-1;
     if (aValue  < aArray[middle-1]) nabove = middle;
     else nbelow = middle;
  }
  return nbelow-1;
}
//////////////////////////////////////////////////////////////////////////////
std::vector<float> Lib::vmanip::convert(
 const std::vector<double>& aV
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  std::vector<float> v(aV.size());
  std::vector<double>::const_iterator ait = aV.begin();
  std::vector<float>::iterator vit = v.begin();
  for(;ait!=aV.end();++ait,++vit) {*vit = (float)*ait;}
  return v;
}
