
#include <Lib/ListContour.h>

#include <Lib/Printer.h>
#include <Lib/Out.h>
#include <Lib/Arguments.h>
#include <Lib/Debug.h>
#include <Lib/System.h>

//////////////////////////////////////////////////////////////////////////////
int main (
 int /*aArgc*/
,char** /*aArgv*/
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Lib::Printer printer;
  Lib::Out out(printer);

  CListContour m_listContour;
  m_listContour.Generate();

  // draw line strips
  CLineStripList* pStripList;
  CLineStrip* pStrip;
  unsigned int i,index;
  CLineStripList::iterator pos;
  CLineStrip::iterator pos2;
  double pLimits[4];
  double x,y;
  double xb,xe,yb,ye;

  m_listContour.GetLimits(pLimits);
  for (i=0;i<m_listContour.GetNPlanes();i++)  {
    pStripList=m_listContour.GetLines(i);
    if(!pStripList) {
      out << "Lib_contour : null pointer." << Lib::endl;
      return Lib::System::exitFailure();
    }
    for (pos=pStripList->begin(); pos != pStripList->end() ; pos++) {
      pStrip=(*pos);
      if(!pStrip) {
        out << "Lib_contour : null pointer." << Lib::endl;
        return Lib::System::exitFailure();
      }
      if (pStrip->empty()) continue;

      // putting point at start and end of strip
      //glBegin(GL_POINTS);
      //glColor4f(1,0,0,.8f);
      // retreiving index
      index=pStrip->front();
      // drawing
      xb=m_listContour.GetXi(index);
      yb=m_listContour.GetYi(index);
      //glVertex2f((GLfloat)(pLimits[0]+xb),(GLfloat)(pLimits[2]+yb));
      // retreiving index
      //glColor4f(0,0,1,.8f);
      index=pStrip->back();
      // drawing
      xe=m_listContour.GetXi(index);
      ye=m_listContour.GetYi(index);
      out << "segment : " << xb << yb << " " << xe << ye << Lib::endl;
      //glVertex2f((GLfloat)(pLimits[0]+xe),(GLfloat)(pLimits[2]+ye));
      //glEnd();

      //glColor3f(i/(float)m_listContour.GetNPlanes(),
      //      i/(float)m_listContour.GetNPlanes(),
      //      1.f-i/(float)m_listContour.GetNPlanes());

      // filling strip if closed...
      //glBegin(GL_LINE_STRIP);
      out << "strip begin :" << Lib::endl;
      for (pos2=pStrip->begin(); pos2 != pStrip->end() ; pos2++) {
        // retreiving index
        index=(*pos2);
        // drawing
        x=m_listContour.GetXi(index);
        y=m_listContour.GetYi(index);
        out << x << y << Lib::endl;
        //glVertex2f((GLfloat)(pLimits[0]+x),(GLfloat)(pLimits[2]+y));
      }
      out << "strip end." << Lib::endl;
      //glEnd();
    }
  }

  Lib::Debug::balance(printer);
 
  return Lib::System::exitSuccess();
}
