@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package Minuit with version v1r140p12.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build
REM # or :
REM #   DOS> call DOS\build.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_Minuit_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_Minuit_path=%obuild_Minuit_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_do_mains=yes
SET obuild_group=main

SET obuild_args=

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   build [Options] [Target]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -g : build in debug mode.
  ECHO   -e : erase binary directory.
  ECHO   -x : execute with ECHO ON"
  ECHO   -nm : build the not-main components.
  ECHO   -group group : build the given group of components.
  ECHO Target :
  ECHO   If no option is specify and a ending
  ECHO  string is given ; this string is given
  ECHO  to a find command in order to execute 
  ECHO  selected scripts under the DOS directory.
  ECHO Examples :
  ECHO   build app
  ECHO   build -v _lib
  ECHO   build -v -g dll_
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SET obuild_args=%obuild_args% -v
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SET obuild_args=%obuild_args% -g
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-e" GOTO end_if_e

  IF "%OBUILD_DIR_BIN%" == "" (
    SET obuild_dir_bin=bin_obuild
  ) ELSE (
    SET obuild_dir_bin=%OBUILD_DIR_BIN%
  )

  IF "%obuild_dir_bin%" == "" (
    ECHO obuild_dir_bin variable not defined.
    GOTO obuild_return
  )

  IF EXIST "%obuild_Minuit_path%\%obuild_dir_bin%" RMDIR /S /Q "%obuild_Minuit_path%\%obuild_dir_bin%"

  GOTO obuild_return

:end_if_e

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_args=%obuild_args% -x
  SHIFT
  GOTO next_arg
:end_if_x

IF NOT "%1%" == "-nm" GOTO end_if_nm
  SET obuild_do_mains=no
  SHIFT
  GOTO next_arg
:end_if_nm

IF NOT "%1%" == "-group" GOTO end_if_group
  SHIFT
  SET obuild_group=%1%
  SHIFT
  GOTO next_arg
:end_if_group

REM # Argument without a leading "-" is assumed to 
REM # be the last one and then to be a pattern 
REM # to find and execute command files under 
REM # the DOS directory.
SET obuild_arg=%1%
SET obuild_arg1=%1:~0,1%
IF "%obuild_arg1%" == "-" GOTO obuild_return

  FOR %%f IN (DOS\*%obuild_arg%*) DO %%f %obuild_args%

  GOTO obuild_return

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////


IF NOT %obuild_group% == main GOTO end_if_group_0
IF NOT %obuild_do_mains% == yes GOTO end_if_main_0
  IF NOT EXIST .\DOS\build_lib_osc_Minuit.bat  GOTO end_if_build_0
    CALL .\DOS\build_lib_osc_Minuit.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_0
:end_if_main_0
:end_if_group_0

IF NOT %obuild_group% == main GOTO end_if_group_1
IF NOT %obuild_do_mains% == no GOTO end_if_main_1
  IF NOT EXIST .\DOS\build_app_Minuit_test_DemoGaussSim.bat  GOTO end_if_build_1
    CALL .\DOS\build_app_Minuit_test_DemoGaussSim.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_1
:end_if_main_1
:end_if_group_1
IF NOT %obuild_group% == main GOTO end_if_group_2
IF NOT %obuild_do_mains% == no GOTO end_if_main_2
  IF NOT EXIST .\DOS\build_app_Minuit_test_PaulTest.bat  GOTO end_if_build_2
    CALL .\DOS\build_app_Minuit_test_PaulTest.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_2
:end_if_main_2
:end_if_group_2
IF NOT %obuild_group% == main GOTO end_if_group_3
IF NOT %obuild_do_mains% == no GOTO end_if_main_3
  IF NOT EXIST .\DOS\build_app_Minuit_test_PaulTest2.bat  GOTO end_if_build_3
    CALL .\DOS\build_app_Minuit_test_PaulTest2.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_3
:end_if_main_3
:end_if_group_3
IF NOT %obuild_group% == main GOTO end_if_group_4
IF NOT %obuild_do_mains% == no GOTO end_if_main_4
  IF NOT EXIST .\DOS\build_app_Minuit_test_PaulTest3.bat  GOTO end_if_build_4
    CALL .\DOS\build_app_Minuit_test_PaulTest3.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_4
:end_if_main_4
:end_if_group_4
IF NOT %obuild_group% == main GOTO end_if_group_5
IF NOT %obuild_do_mains% == no GOTO end_if_main_5
  IF NOT EXIST .\DOS\build_app_Minuit_test_PaulTest4.bat  GOTO end_if_build_5
    CALL .\DOS\build_app_Minuit_test_PaulTest4.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_5
:end_if_main_5
:end_if_group_5
IF NOT %obuild_group% == main GOTO end_if_group_6
IF NOT %obuild_do_mains% == no GOTO end_if_main_6
  IF NOT EXIST .\DOS\build_app_Minuit_test_ReneTest.bat  GOTO end_if_build_6
    CALL .\DOS\build_app_Minuit_test_ReneTest.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_6
:end_if_main_6
:end_if_group_6
IF NOT %obuild_group% == main GOTO end_if_group_7
IF NOT %obuild_do_mains% == no GOTO end_if_main_7
  IF NOT EXIST .\DOS\build_app_Minuit_test_Quad1FMain.bat  GOTO end_if_build_7
    CALL .\DOS\build_app_Minuit_test_Quad1FMain.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_7
:end_if_main_7
:end_if_group_7
IF NOT %obuild_group% == main GOTO end_if_group_8
IF NOT %obuild_do_mains% == no GOTO end_if_main_8
  IF NOT EXIST .\DOS\build_app_Minuit_test_Quad2FMain.bat  GOTO end_if_build_8
    CALL .\DOS\build_app_Minuit_test_Quad2FMain.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_8
:end_if_main_8
:end_if_group_8
IF NOT %obuild_group% == main GOTO end_if_group_9
IF NOT %obuild_do_mains% == no GOTO end_if_main_9
  IF NOT EXIST .\DOS\build_app_Minuit_test_Quad3FMain.bat  GOTO end_if_build_9
    CALL .\DOS\build_app_Minuit_test_Quad3FMain.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_9
:end_if_main_9
:end_if_group_9
IF NOT %obuild_group% == main GOTO end_if_group_10
IF NOT %obuild_do_mains% == no GOTO end_if_main_10
  IF NOT EXIST .\DOS\build_app_Minuit_test_Quad4FMain.bat  GOTO end_if_build_10
    CALL .\DOS\build_app_Minuit_test_Quad4FMain.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_10
:end_if_main_10
:end_if_group_10
IF NOT %obuild_group% == main GOTO end_if_group_11
IF NOT %obuild_do_mains% == no GOTO end_if_main_11
  IF NOT EXIST .\DOS\build_app_Minuit_test_Quad8FMain.bat  GOTO end_if_build_11
    CALL .\DOS\build_app_Minuit_test_Quad8FMain.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_11
:end_if_main_11
:end_if_group_11
IF NOT %obuild_group% == main GOTO end_if_group_12
IF NOT %obuild_do_mains% == no GOTO end_if_main_12
  IF NOT EXIST .\DOS\build_app_Minuit_test_Quad12FMain.bat  GOTO end_if_build_12
    CALL .\DOS\build_app_Minuit_test_Quad12FMain.bat %obuild_args%
    @IF ERRORLEVEL 1 @GOTO obuild_return
    @ECHO OFF
:end_if_build_12
:end_if_main_12
:end_if_group_12

:obuild_return
ENDLOCAL
@ECHO ON
