#ifndef Rio_Meta_h
#define Rio_Meta_h

#include <Rio/Interfaces/IClass.h>
#include <Rio/Interfaces/IDictionary.h>

#define RIO_META_HEADER(a_Class) \
public:\
  static const ::Rio::IClass& is(const ::Rio::IDictionary&);\
public:\
  virtual const ::Rio::IClass& isA() const;\
private:\
  const ::Rio::IClass& fClass;

#define RIO_META_SOURCE(a_Class) \
const ::Rio::IClass& a_Class::isA() const {return fClass;}	\
const ::Rio::IClass& a_Class::is(const ::Rio::IDictionary& aDictionary) {\
 ::Rio::IClass* cls = aDictionary.findClass(#a_Class);\
 if(!cls) {\
   /*::printf("%s::is : ERROR : can't find class %s\n",#a_Class,#a_Class);*/\
   return aDictionary.noneClass();\
 }\
 return *cls;\
}

namespace Rio {

  void stringCheckSum(unsigned int&,const std::string&);
  void arrayCheckSum(unsigned int&,int,int*);

}

#endif
