// this :
#include <Rio/Core/BaseClass.h>

#include <Rio/Core/Debug.h>

//////////////////////////////////////////////////////////////////////////////
Rio::BaseClass::BaseClass(
 const std::string& aName
,const std::string& aInStoreName
,short aVersion
)
:fName(aName)
,fInStoreName(aInStoreName)
,fVersion(aVersion)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Debug::increment("Rio::BaseClass");
}
//////////////////////////////////////////////////////////////////////////////
Rio::BaseClass::BaseClass(
 const BaseClass& aFrom
)
:IClass()
,fName(aFrom.fName)
,fInStoreName(aFrom.fInStoreName)
,fVersion(aFrom.fVersion)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Debug::increment("Rio::BaseClass");
}
//////////////////////////////////////////////////////////////////////////////
Rio::BaseClass::~BaseClass(
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Debug::decrement("Rio::BaseClass");
}
//////////////////////////////////////////////////////////////////////////////
Rio::BaseClass& Rio::BaseClass::operator=(
 const BaseClass& aFrom
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  fName = aFrom.fName;
  fInStoreName = aFrom.fInStoreName;
  fVersion = aFrom.fVersion;
  return *this;
}
//////////////////////////////////////////////////////////////////////////////
const std::string& Rio::BaseClass::name(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fName;
}
//////////////////////////////////////////////////////////////////////////////
const std::string& Rio::BaseClass::inStoreName(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fInStoreName;
}
//////////////////////////////////////////////////////////////////////////////
short Rio::BaseClass::version(
) const
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return fVersion;
}
//////////////////////////////////////////////////////////////////////////////
bool Rio::BaseClass::writeBuffer(
 IBuffer& //aBuffer
,void* //aPointer
) const 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return false;
}
//////////////////////////////////////////////////////////////////////////////
bool Rio::BaseClass::readBuffer(
 IBuffer& //aBuffer
,void* //aPointer
) const 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return false;
}
//////////////////////////////////////////////////////////////////////////////
void* Rio::BaseClass::createOpaque(
 const Arguments&
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  return 0;
}
