#ifndef Slash_FString_h
#define Slash_FString_h

#include <string>
#include <cstring>
 
namespace Slash {

class FString {
public:
  FString(unsigned aLength):fLength(aLength),fString(0){
    fLength = (fLength==0?1:fLength); // in fortran character*0 does not exist
    fString = new char[fLength];
    if(!fString) {fLength = 0;return;}
    for(unsigned int index=0;index<fLength;index++) fString[index] = ' ';
  }
  FString(const std::string& aString):fLength(0),fString(0){
    fLength = aString.size();
    fLength = (fLength==0?1:fLength); // in fortran character*0 does not exist
    // Add one more white character so that CERNLIB LENOCC works :
    fString = new char[fLength+1];
    if(!fString) {fLength = 0;return;}
    unsigned int l = fLength + 1;
    for(unsigned int index=0;index<l;index++) fString[index] = ' ';
    ::strncpy(fString,aString.c_str(),aString.size());
  }     
  FString(void* aF77,int aLength):fLength(0),fString(0){
    if(aLength<0) return;
    fLength = aLength;
    fLength = (fLength==0?1:fLength); // in fortran character*0 does not exist
    // Add one more white character so that CERNLIB LENOCC works :
    fString = new char[fLength+1];
    if(!fString) {fLength = 0;return;}
    unsigned int l = fLength + 1;
    for(unsigned int index=0;index<l;index++) fString[index] = ' ';
    ::strncpy(fString,(char*)aF77,aLength);
  }     
  virtual ~FString(){delete [] fString;}
private:
  FString(const FString&){}
  FString& operator=(const FString&){return *this;}
public:
  inline char* f_str() const{return fString;}     
  inline unsigned int size() const {return fLength;}     
  inline std::string std_string() const {
    std::string s;
    for(unsigned int index=0;index<fLength;index++) s += fString[index];
    return s;
  }     
private:
  unsigned int fLength;
  char* fString; // fString is not null terminated.
};

}

#endif
