@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package expat with version v1r11p13.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_osc_expat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_expat_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_expat_path=%obuild_expat_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%" MKDIR "%obuild_expat_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%" MKDIR "%obuild_expat_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_expat_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_expat_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_expat_0=%%d
cd "%obuild_expat_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_expat_0%"
SET obuild_pwd_expat_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_c_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_c_command%" == ""  ECHO Variable obuild_c_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_expat_0=%%d
cd "%obuild_expat_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_expat_0%"
SET obuild_pwd_expat_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_c_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_expat_0=%%d
cd "%obuild_expat_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_expat_0%"
SET obuild_pwd_expat_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_c_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_expat_0=%%d
cd "%obuild_expat_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_expat_0%"
SET obuild_pwd_expat_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_c_options=/nologo /DWIN32 /MD /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_expat_sh_8
  SET obuild_c_debug_local=%obuild_c_debug%
  GOTO end_if_db_build_lib_osc_expat_sh_8
:else_if_db_build_lib_osc_expat_sh_8
  SET obuild_c_debug_local=
:end_if_db_build_lib_osc_expat_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_expat_sh_9
  SET obuild_c_optimize_local=%obuild_c_optimize%
  GOTO end_if_opt_build_lib_osc_expat_sh_9
:else_if_opt_build_lib_osc_expat_sh_9
  SET obuild_c_optimize_local=
:end_if_opt_build_lib_osc_expat_sh_9



SET obuild_c_includes=/I"%obuild_expat_path%\include"
SET obuild_c_includes=%obuild_c_includes% /I"%obuild_expat_path%\include\private"

IF EXIST "%obuild_expat_path%\%obuild_dir_bin%\lib_osc_expat" RMDIR /S /Q "%obuild_expat_path%\%obuild_dir_bin%\lib_osc_expat"
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\lib_osc_expat" MKDIR "%obuild_expat_path%\%obuild_dir_bin%\lib_osc_expat"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_expat_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_expat\dllmain.obj "..\source\dllmain.c" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
cd "%obuild_expat_path%\obuild"

cd "%obuild_expat_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_expat\hashtable.obj "..\source\hashtable.c" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
cd "%obuild_expat_path%\obuild"

cd "%obuild_expat_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_expat\xmlparse.obj "..\source\xmlparse.c" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
cd "%obuild_expat_path%\obuild"

cd "%obuild_expat_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_expat\xmlrole.obj "..\source\xmlrole.c" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
cd "%obuild_expat_path%\obuild"

cd "%obuild_expat_path%\%obuild_dir_bin%"
%obuild_c_command% /c %obuild_c_debug_local% %obuild_c_optimize_local% %obuild_c_options% %obuild_c_macros% %obuild_c_includes% /Fo.\lib_osc_expat\xmltok.obj "..\source\xmltok.c" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
cd "%obuild_expat_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_expat_0=%%d
cd "%obuild_expat_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_expat_0%"
SET obuild_pwd_expat_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
SET obuild_c_linker_command=link.exe
:end_if_platform_20
SET obuild_platform_result=
IF "%obuild_c_linker_command%" == ""  ECHO Variable obuild_c_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_expat_0=%%d
cd "%obuild_expat_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_expat_0%"
SET obuild_pwd_expat_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_22
SET obuild_c_linker_debug=/DEBUG
:end_if_platform_22
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_expat_0=%%d
cd "%obuild_expat_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_expat_0%"
SET obuild_pwd_expat_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
SET obuild_c_linker_options=/nologo
:end_if_platform_24
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_osc_expat_sh_25
  SET obuild_c_linker_debug_local=%obuild_c_linker_debug%
  GOTO end_if_db_build_lib_osc_expat_sh_25
:else_if_db_build_lib_osc_expat_sh_25
  SET obuild_c_linker_debug_local=
:end_if_db_build_lib_osc_expat_sh_25

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_osc_expat_sh_26
  SET obuild_c_linker_optimize_local=%obuild_c_linker_optimize%
  GOTO end_if_opt_build_lib_osc_expat_sh_26
:else_if_opt_build_lib_osc_expat_sh_26
  SET obuild_c_linker_optimize_local=
:end_if_opt_build_lib_osc_expat_sh_26

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_expat_0=%%d
cd "%obuild_expat_path%\%obuild_dir_bin%"
IF EXIST .\lib_osc_expat\tmp_objs DEL .\lib_osc_expat\tmp_objs
FOR %%f IN (.\lib_osc_expat\*.obj) DO ECHO %%f >> .\lib_osc_expat\tmp_objs

REM # Create the archive library osc_expat :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_osc_expat\osc_expat.arc @.\lib_osc_expat\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_expat_path%\obuild\cpp\obuild_windef.c" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_osc_expat\tmp .\lib_osc_expat\osc_expat.arc 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe osc_expat < .\lib_osc_expat\tmp > .\lib_osc_expat\osc_expat.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\osc_expat.lib /def:.\lib_osc_expat\osc_expat.def 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\osc_expat.dll DEL .\osc_expat.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\osc_expat.dll .\osc_expat.exp .\lib_osc_expat\osc_expat.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_expat_0%"
SET obuild_pwd_expat_0=
REM # Some cleanup :
IF EXIST "%obuild_expat_path%\%obuild_dir_bin%\lib_osc_expat\tmp_objs" DEL "%obuild_expat_path%\%obuild_dir_bin%\lib_osc_expat\tmp_objs"
IF EXIST "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.exp" DEL "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.exp"

:obuild_return
ENDLOCAL
@ECHO ON
