
// Lib :
#include <Lib/smanip.h>
#include <Lib/fmanip.h>

#include <cstdlib> //EXIT_SUCCESS

#include <iostream>

int main(int aArgc,char** aArgv) {
  std::vector<std::string> args;
 {for(int index=0;index<aArgc;index++) args.push_back(aArgv[index]);}
  
  if(args.size()!=3) {
    std::cout << "owrap :" 
              << " two arguments expected."
              << std::endl;
    return EXIT_FAILURE;
  }

  std::string in_file = args[1];
  std::string out_file = args[2];

  if(in_file==out_file) {
    std::cout << "owrap :" 
              << " out file is the same than in file."
              << std::endl;
    return EXIT_FAILURE;
  }
  
  std::vector<std::string> in_txt;
  if(!Lib::fmanip::read(in_file,in_txt)) {
    std::cout << "owrap :" 
              << " can't read input file \"" << in_file << "\"."
              << std::endl;
    return EXIT_FAILURE;
  }

  std::string s_in_file = Lib::smanip::basename(in_file);

  std::vector<std::string> out_txt;
  out_txt.push_back("//");
  out_txt.push_back("//  This file had been produced automatically");
  out_txt.push_back("// by the owrap program from the file :");
  out_txt.push_back("//    "+s_in_file);
  out_txt.push_back("//");

  Lib::smanip::replace(s_in_file,".","_");

 {unsigned int number = in_txt.size();
  for(unsigned int index=0;index<number;index++) {
    std::string sindex;
    Lib::smanip::printf(sindex,32,"%d",index);
    std::string s = "  static const char ";
    s += s_in_file + "_"+sindex+"[] = \"";
    std::string ss = in_txt[index];
    Lib::smanip::replace(ss,"\"","@@double_quote@@");
    Lib::smanip::replace(ss,"\\","@@back_slash@@");
    s += ss;
    s += "\";";
    out_txt.push_back(s);
  }}

 {unsigned int number = in_txt.size();
  std::string snumber;
  Lib::smanip::printf(snumber,32,"%d",number);
  std::string s = "  static unsigned int ";
  s += s_in_file+"_linen = " + snumber +";";
  out_txt.push_back(s);}

 {out_txt.push_back
    ("  static const char* "+s_in_file+"_lines[] = {");
  unsigned int number = in_txt.size();
  for(unsigned int index=0;index<number;index++) {
    std::string sindex;
    Lib::smanip::printf(sindex,32,"%d",index);
    std::string s;
    if(index) s += ",";
    s += s_in_file+"_"+sindex;
    out_txt.push_back(s);
  }
  out_txt.push_back("};");}

  if(!Lib::fmanip::write(out_file,out_txt)) {
    std::cout << "owrap :" 
              << " can't write output file \"" << out_file << "\"."
              << std::endl;
    return EXIT_FAILURE;
  }

  return EXIT_SUCCESS;
}

// embed code :
#include <smanip.cxx>
#include <sout.cxx>
#include <cmanip.cxx>
#include <fmanip.cxx>
#include <Out.cxx>
#include <System.cxx>
