#!/bin/sh -f

if [ `uname` != Darwin ] ; then
  exit
fi

#set -x

if [  "${OBUILD_DIR_BIN}" = "" ] ; then
  @@dir_bin_variable@@=bin_obuild
else
  @@dir_bin_variable@@=${OBUILD_DIR_BIN}
fi

if [ "${@@dir_bin_variable@@}" = "" ] ; then
  echo "@@dir_bin_variable@@ variable not defined."
  exit
fi

obuild_pwd=`pwd`
@@path_variable@@=`dirname "${obuild_pwd}"`

#NOTE : path may contain spaces.
obuild_up_1=`dirname "${obuild_pwd}" | sed -e 's: :_:g'`
obuild_project=`basename ${obuild_up_1}`

obuild_version=@@version@@

#echo ${obuild_version}
#echo ${obuild_project}

obuild_dir_release="@@dir_bin@@/${obuild_project}/${obuild_version}"

obuild_dir_lib="${obuild_dir_release}/lib"
obuild_dir_dll="${obuild_dir_release}/bin"
obuild_dir_bin="${obuild_dir_release}/bin"

s_awk='{i=index($0," (compatibility");if(i==0){print $0;} else { print substr($0,0,i-1);}}'

cd "${obuild_dir_bin}"
obuild_app_bins=`find . -name '*' -type f -print | grep -v .bundle | grep -v '\.save'`
for bina in ${obuild_app_bins}
do 
  #echo "----> ${bina}"

  /bin/rm -f obuild_tmp obuild_tmp1 obuild_tmp2
  otool -X -L ${bina} > obuild_tmp
  /usr/bin/awk -s "${s_awk}" obuild_tmp > obuild_tmp1
  grep -v '/usr/lib' obuild_tmp1 | grep -v '/Library/Frameworks' | grep -v '/System/Library' | grep -v '/usr/X11R6/lib' | grep -v '/usr/X11/lib' | grep -v '/opt/local/lib' > obuild_tmp2
  sed -e 's# #@@#g' obuild_tmp2 > obuild_tmp3
  libs=`cat obuild_tmp3`
  /bin/rm -f obuild_tmp obuild_tmp1 obuild_tmp2 obuild_tmp3
  for libi in ${libs}
  do 
    libi=`echo ${libi} | sed -e 's#@@# #g'`
    #echo "  --> ${libi}"
    new_install_name=`basename "${libi}"`
    install_name_tool -change "${libi}" ${new_install_name} "${bina}"
    unset new_install_name
  done
  unset libi
  unset libs
done
unset bina
cd "${obuild_pwd}"

# Change the install names of the libraries :
cd "${obuild_dir_lib}"
obuild_app_libs=`find . -name '*.dylib' -type f -print`
for liba in ${obuild_app_libs}
do 
  #echo "----> ${liba}"

  new_install_name=`basename "${liba}"`
  #new_install_name=@executable_path/../lib/${new_install_name}
  install_name_tool -id ${new_install_name} "${liba}"
  unset new_install_name
  
  # Get linked libraries :
  /bin/rm -f obuild_tmp obuild_tmp1 obuild_tmp2
  otool -X -L "${liba}" > obuild_tmp
  /usr/bin/awk -s "${s_awk}" obuild_tmp > obuild_tmp1
  grep -v '/usr/lib' obuild_tmp1 | grep -v '/Library/Frameworks' | grep -v '/System/Library' | grep -v '/usr/X11R6/lib' | grep -v '/usr/X11/lib' | grep -v '/opt/local/lib' > obuild_tmp2
  sed -e 's# #@@#g' obuild_tmp2 > obuild_tmp3
  libs=`cat obuild_tmp3`
  /bin/rm -f obuild_tmp obuild_tmp1 obuild_tmp2 obuild_tmp3
  for libi in ${libs}
  do 
    libi=`echo ${libi} | sed -e 's#@@# #g'`
    #echo "${libi}"
    new_install_name=`basename "${libi}"`
    install_name_tool -change "${libi}" ${new_install_name} "${liba}"
    unset new_install_name
  done
  unset libi
  unset libs
done
unset liba
cd "${obuild_pwd}"

# Change the install names of the dlls :
cd "${obuild_dir_dll}"
obuild_app_dlls=`find . -name '*.bundle' -type f -print`
for dlla in ${obuild_app_dlls}
do 
  #echo "----> ${dlla}"

  # Get linked libraries :
  /bin/rm -f obuild_tmp obuild_tmp1 obuild_tmp2
  otool -X -L "${dlla}" > obuild_tmp
  /usr/bin/awk -s "${s_awk}" obuild_tmp > obuild_tmp1
  grep -v '/usr/lib' obuild_tmp1 | grep -v '/Library/Frameworks' | grep -v '/System/Library' | grep -v '/usr/X11R6/lib' | grep -v '/usr/X11/lib' | grep -v '/opt/local/lib' > obuild_tmp2
  sed -e 's# #@@#g' obuild_tmp2 > obuild_tmp3
  libs=`cat obuild_tmp3`
  /bin/rm -f obuild_tmp obuild_tmp1 obuild_tmp2 obuild_tmp3
  for libi in ${libs}
  do 
    libi=`echo ${libi} | sed -e 's#@@# #g'`
    #echo "${libi}"
    new_install_name=`basename "${libi}"`
    install_name_tool -change "${libi}" ${new_install_name} "${dlla}"
    unset new_install_name
  done
  unset libi
  unset libs
done
unset dlla
cd "${obuild_pwd}"

unset obuild_app_dlls
unset obuild_dir_dll

unset obuild_app_libs
unset obuild_dir_lib

unset obuild_dir_release

unset obuild_pwd
