#!/bin/sh -f

#
# File produced by the obuild tool version @@obuild_version@@
# for the package @@package@@ with version @@version@@.
#

#////////////////////////////////////////////////
# Usage :
#   UNIX> cd some_path/pack/version/obuild
# ( UNIX> chmod a+x sh/build_shlib )
#   UNIX> sh/build_shlib <args>
#
#////////////////////////////////////////////////

#set -x

obuild_os=`uname`
if [ "`uname | grep CYGWIN`" = "" ] ; then
  echo "Not a CYGWIN platform."
  exit
fi


obuild_out=""

obuild_args=""
while test $# -ge 1 ; do
  case $1 in
    -o) shift
        if [ $# != 0 ] ; then
          obuild_out=$1 
          obuild_args=""
        else         
          echo "give an output name after the -o option."
          exit 
        fi ;;
     *) if [ "`echo $1 | grep '\-L'`" != ""  ] ; then
          obuild_tmp=`echo $1 | sed -e 's#-L##g'`
          obuild_args="${obuild_args} \-L\"${obuild_tmp}\""
        else
          obuild_args="${obuild_args} $1"
        fi ;;
  esac
  shift
done

if [ "${obuild_out}" = "" ] ; then
  echo "No output file specified."
  exit
fi

#echo "${obuild_out}"
#echo "${obuild_args}"

# Expect obuild_out to be of the form :
#     <dir>/<name>.dll

dir_name=`eval dirname \"${obuild_out}\"`
base_name=`eval basename \"${obuild_out}\"`

#echo "${dir_name}"
#echo "${base_name}"

eval c++ -shared -o ${base_name} -Wl,--out-implib=lib${base_name}.a ${obuild_args}


