@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.10.0
REM # for the package osc_batch with version 16.11.8.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\project\version\obuild
REM #   DOS> DOS\build_release
REM # or :
REM #   DOS> call DOS\build_release.bat
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_osc_batch_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_osc_batch_path=%obuild_osc_batch_path:~0,-12%

SET obuild_verbose=no
SET obuild_set_x=no
SET obuild_erase_dir_bin=no
SET obuild_debug_signature=

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-h" GOTO end_if_h
  ECHO Usage :
  ECHO   DOS\run [Options]
  ECHO Options :
  ECHO   -v : verbose.
  ECHO   -x : execute with ECHO ON"
  ECHO   -e : erase binary directory.
  ECHO   -g : debug.
  GOTO obuild_return
:end_if_h

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

IF NOT "%1%" == "-e" GOTO end_if_e
  SET obuild_erase_dir_bin=yes
  SHIFT
  GOTO next_arg
:end_if_e

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug_signature=-debug
  SHIFT
  GOTO next_arg
:end_if_g

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF "%obuild_erase_dir_bin%" == "yes" (
  IF EXIST "%obuild_osc_batch_path%\%obuild_dir_bin%" RMDIR /S /Q "%obuild_osc_batch_path%\%obuild_dir_bin%"
  GOTO obuild_return
)

IF NOT EXIST "%obuild_osc_batch_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_batch_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_osc_batch_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_batch_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_osc_batch_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_osc_batch_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_0=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_0%"
SET obuild_pwd_osc_batch_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CERNLIB_home=C:\cern\pro
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_0=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF EXIST osc_batch RMDIR /S /Q osc_batch
IF NOT EXIST osc_batch MKDIR osc_batch
cd osc_batch
IF NOT EXIST 16.11.8 MKDIR 16.11.8
cd 16.11.8
IF NOT EXIST lib MKDIR lib
IF NOT EXIST bin MKDIR bin
IF NOT EXIST Resources MKDIR Resources
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_dir_project=%%d

IF EXIST "%obuild_dir_project%\Versions" DEL "%obuild_dir_project%\Versions"
ECHO package foreign v1r10p0   >> "%obuild_dir_project%\Versions"
ECHO package expat v1r11p13   >> "%obuild_dir_project%\Versions"
ECHO package Slash v1r7p0   >> "%obuild_dir_project%\Versions"
ECHO package Lib v8r8p1   >> "%obuild_dir_project%\Versions"
ECHO package amanip v1r0p1   >> "%obuild_dir_project%\Versions"
ECHO package BatchLab v1r7p0   >> "%obuild_dir_project%\Versions"
ECHO package UseAIDA v1r3p1   >> "%obuild_dir_project%\Versions"
ECHO package osc_source 16.11.8   >> "%obuild_dir_project%\Versions"
ECHO foreign CERNLIB 2006   >> "%obuild_dir_project%\Versions"


IF NOT EXIST "%obuild_osc_batch_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_osc_batch_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_osc_batch_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_osc_batch_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  foreign v1r10p0`) DO SET obuild_foreign_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_foreign_path  ECHO Can't find foreign package.  && GOTO obuild_return

IF NOT EXIST "%obuild_foreign_path%\..\foreign"  ECHO WARNING : Directory %obuild_foreign_path%\..\foreign not found.  && GOTO end_if_release_4
IF NOT EXIST "%obuild_dir_project%\Resources\.\foreign" MKDIR "%obuild_dir_project%\Resources\.\foreign"
XCOPY /E /Q "%obuild_foreign_path%\..\foreign" "%obuild_dir_project%\Resources\.\foreign" 1> exe_error_0
@IF ERRORLEVEL 1 @TYPE exe_error_0 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_0
:end_if_release_4
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p13`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\include"  ECHO WARNING : Directory %obuild_expat_path%\include not found.  && GOTO end_if_release_6
IF NOT EXIST "%obuild_dir_project%\Resources\expat\.\include" MKDIR "%obuild_dir_project%\Resources\expat\.\include"
XCOPY /E /Q "%obuild_expat_path%\include" "%obuild_dir_project%\Resources\expat\.\include" 1> exe_error_1
@IF ERRORLEVEL 1 @TYPE exe_error_1 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_1
:end_if_release_6
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r7p0`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Slash_path%\Slash"  ECHO WARNING : Directory %obuild_Slash_path%\Slash not found.  && GOTO end_if_release_8
IF NOT EXIST "%obuild_dir_project%\Resources\Slash\.\Slash" MKDIR "%obuild_dir_project%\Resources\Slash\.\Slash"
XCOPY /E /Q "%obuild_Slash_path%\Slash" "%obuild_dir_project%\Resources\Slash\.\Slash" 1> exe_error_2
@IF ERRORLEVEL 1 @TYPE exe_error_2 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_2
:end_if_release_8
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\include"  ECHO WARNING : Directory %obuild_Lib_path%\include not found.  && GOTO end_if_release_10
IF NOT EXIST "%obuild_dir_project%\Resources\Lib\.\include" MKDIR "%obuild_dir_project%\Resources\Lib\.\include"
XCOPY /E /Q "%obuild_Lib_path%\include" "%obuild_dir_project%\Resources\Lib\.\include" 1> exe_error_3
@IF ERRORLEVEL 1 @TYPE exe_error_3 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_3
:end_if_release_10
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  amanip v1r0p1`) DO SET obuild_amanip_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_amanip_path  ECHO Can't find amanip package.  && GOTO obuild_return

IF NOT EXIST "%obuild_amanip_path%\src\cpp\amanip"  ECHO WARNING : Directory %obuild_amanip_path%\src\cpp\amanip not found.  && GOTO end_if_release_12
IF NOT EXIST "%obuild_dir_project%\Resources\amanip\src\cpp\.\amanip" MKDIR "%obuild_dir_project%\Resources\amanip\src\cpp\.\amanip"
XCOPY /E /Q "%obuild_amanip_path%\src\cpp\amanip" "%obuild_dir_project%\Resources\amanip\src\cpp\.\amanip" 1> exe_error_4
@IF ERRORLEVEL 1 @TYPE exe_error_4 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_4
:end_if_release_12
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\scripts"  ECHO WARNING : Directory %obuild_BatchLab_path%\scripts not found.  && GOTO end_if_release_14
IF NOT EXIST "%obuild_dir_project%\Resources\BatchLab\.\scripts" MKDIR "%obuild_dir_project%\Resources\BatchLab\.\scripts"
XCOPY /E /Q "%obuild_BatchLab_path%\scripts" "%obuild_dir_project%\Resources\BatchLab\.\scripts" 1> exe_error_5
@IF ERRORLEVEL 1 @TYPE exe_error_5 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_5
:end_if_release_14
IF NOT EXIST "%obuild_BatchLab_path%\BatchLab"  ECHO WARNING : Directory %obuild_BatchLab_path%\BatchLab not found.  && GOTO end_if_release_16
IF NOT EXIST "%obuild_dir_project%\Resources\BatchLab\.\BatchLab" MKDIR "%obuild_dir_project%\Resources\BatchLab\.\BatchLab"
XCOPY /E /Q "%obuild_BatchLab_path%\BatchLab" "%obuild_dir_project%\Resources\BatchLab\.\BatchLab" 1> exe_error_6
@IF ERRORLEVEL 1 @TYPE exe_error_6 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_6
:end_if_release_16
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r3p1`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

IF NOT EXIST "%obuild_UseAIDA_path%\examples"  ECHO WARNING : Directory %obuild_UseAIDA_path%\examples not found.  && GOTO end_if_release_18
IF NOT EXIST "%obuild_dir_project%\Resources\AIDA\.\examples" MKDIR "%obuild_dir_project%\Resources\AIDA\.\examples"
XCOPY /E /Q "%obuild_UseAIDA_path%\examples" "%obuild_dir_project%\Resources\AIDA\.\examples" 1> exe_error_7
@IF ERRORLEVEL 1 @TYPE exe_error_7 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_7
:end_if_release_18
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  osc_source 16.11.8`) DO SET obuild_osc_source_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_osc_source_path  ECHO Can't find osc_source package.  && GOTO obuild_return

IF NOT EXIST "%obuild_osc_source_path%\release\License"  ECHO WARNING : File %obuild_osc_source_path%\release\License not found.  && GOTO end_if_release_20
IF NOT EXIST "%obuild_dir_project%" MKDIR "%obuild_dir_project%"
COPY "%obuild_osc_source_path%\release\License" "%obuild_dir_project%\." 1> exe_error_8
@IF ERRORLEVEL 1 @TYPE exe_error_8 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_8
:end_if_release_20
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
IF NOT EXIST "%obuild_osc_source_path%\release\Windows_NT\setup.bat"  ECHO WARNING : File %obuild_osc_source_path%\release\Windows_NT\setup.bat not found.  && GOTO end_if_release_22
IF NOT EXIST "%obuild_dir_project%" MKDIR "%obuild_dir_project%"
COPY "%obuild_osc_source_path%\release\Windows_NT\setup.bat" "%obuild_dir_project%\." 1> exe_error_9
@IF ERRORLEVEL 1 @TYPE exe_error_9 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_9
:end_if_release_22
:end_if_platform_21
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_23
IF NOT EXIST "%obuild_osc_source_path%\release\Windows_NT\aida-setup.bat"  ECHO WARNING : File %obuild_osc_source_path%\release\Windows_NT\aida-setup.bat not found.  && GOTO end_if_release_24
IF NOT EXIST "%obuild_dir_project%" MKDIR "%obuild_dir_project%"
COPY "%obuild_osc_source_path%\release\Windows_NT\aida-setup.bat" "%obuild_dir_project%\." 1> exe_error_10
@IF ERRORLEVEL 1 @TYPE exe_error_10 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_10
:end_if_release_24
:end_if_platform_23
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
IF NOT EXIST "%obuild_osc_source_path%\release\Windows_NT\README"  ECHO WARNING : File %obuild_osc_source_path%\release\Windows_NT\README not found.  && GOTO end_if_release_26
IF NOT EXIST "%obuild_dir_project%" MKDIR "%obuild_dir_project%"
COPY "%obuild_osc_source_path%\release\Windows_NT\README" "%obuild_dir_project%\." 1> exe_error_11
@IF ERRORLEVEL 1 @TYPE exe_error_11 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_11
:end_if_release_26
:end_if_platform_25
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_27
IF NOT EXIST "%obuild_osc_source_path%\release\Windows_NT\check_install.bat"  ECHO WARNING : File %obuild_osc_source_path%\release\Windows_NT\check_install.bat not found.  && GOTO end_if_release_28
IF NOT EXIST "%obuild_dir_project%" MKDIR "%obuild_dir_project%"
COPY "%obuild_osc_source_path%\release\Windows_NT\check_install.bat" "%obuild_dir_project%\." 1> exe_error_12
@IF ERRORLEVEL 1 @TYPE exe_error_12 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_12
:end_if_release_28
:end_if_platform_27
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_29
IF NOT EXIST "%obuild_osc_source_path%\release\Windows_NT\Python-setup.bat"  ECHO WARNING : File %obuild_osc_source_path%\release\Windows_NT\Python-setup.bat not found.  && GOTO end_if_release_30
IF NOT EXIST "%obuild_dir_project%" MKDIR "%obuild_dir_project%"
COPY "%obuild_osc_source_path%\release\Windows_NT\Python-setup.bat" "%obuild_dir_project%\." 1> exe_error_13
@IF ERRORLEVEL 1 @TYPE exe_error_13 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_13
:end_if_release_30
:end_if_platform_29
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
IF NOT EXIST "%obuild_osc_source_path%\release\Windows_NT\Qt-setup.bat"  ECHO WARNING : File %obuild_osc_source_path%\release\Windows_NT\Qt-setup.bat not found.  && GOTO end_if_release_32
IF NOT EXIST "%obuild_dir_project%" MKDIR "%obuild_dir_project%"
COPY "%obuild_osc_source_path%\release\Windows_NT\Qt-setup.bat" "%obuild_dir_project%\." 1> exe_error_14
@IF ERRORLEVEL 1 @TYPE exe_error_14 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_14
:end_if_release_32
:end_if_platform_31
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
IF NOT EXIST "%obuild_osc_source_path%\release\Windows_NT\Geant4-setup.bat"  ECHO WARNING : File %obuild_osc_source_path%\release\Windows_NT\Geant4-setup.bat not found.  && GOTO end_if_release_34
IF NOT EXIST "%obuild_dir_project%" MKDIR "%obuild_dir_project%"
COPY "%obuild_osc_source_path%\release\Windows_NT\Geant4-setup.bat" "%obuild_dir_project%\." 1> exe_error_15
@IF ERRORLEVEL 1 @TYPE exe_error_15 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_15
:end_if_release_34
:end_if_platform_33
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
IF NOT EXIST "%obuild_osc_source_path%\release\Windows_NT\desktop"  ECHO WARNING : Directory %obuild_osc_source_path%\release\Windows_NT\desktop not found.  && GOTO end_if_release_36
IF NOT EXIST "%obuild_dir_project%\.\desktop" MKDIR "%obuild_dir_project%\.\desktop"
XCOPY /E /Q "%obuild_osc_source_path%\release\Windows_NT\desktop" "%obuild_dir_project%\.\desktop" 1> exe_error_16
@IF ERRORLEVEL 1 @TYPE exe_error_16 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_16
:end_if_release_36
:end_if_platform_35
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p11`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_37
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\osc_zlib.arc" GOTO end_if_copy_17
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\osc_zlib.arc" "%obuild_dir_project%\lib\." 1> exe_error_17
  @IF ERRORLEVEL 1 @TYPE exe_error_17 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_17
:end_if_copy_17
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\osc_zlib.lib" GOTO end_if_copy_18
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\osc_zlib.lib" "%obuild_dir_project%\lib\." 1> exe_error_18
  @IF ERRORLEVEL 1 @TYPE exe_error_18 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_18
:end_if_copy_18
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\osc_zlib.dll" GOTO end_if_copy_19
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\osc_zlib.dll" "%obuild_dir_project%\bin\." 1> exe_error_19
  @IF ERRORLEVEL 1 @TYPE exe_error_19 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_19
:end_if_copy_19
:end_if_release_37
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip v1r101p5`) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zip_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_zip_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_38
IF NOT EXIST "%obuild_zip_path%\%obuild_dir_bin%\osc_zip.arc" GOTO end_if_copy_20
  COPY "%obuild_zip_path%\%obuild_dir_bin%\osc_zip.arc" "%obuild_dir_project%\lib\." 1> exe_error_20
  @IF ERRORLEVEL 1 @TYPE exe_error_20 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_20
:end_if_copy_20
IF NOT EXIST "%obuild_zip_path%\%obuild_dir_bin%\osc_zip.lib" GOTO end_if_copy_21
  COPY "%obuild_zip_path%\%obuild_dir_bin%\osc_zip.lib" "%obuild_dir_project%\lib\." 1> exe_error_21
  @IF ERRORLEVEL 1 @TYPE exe_error_21 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_21
:end_if_copy_21
IF NOT EXIST "%obuild_zip_path%\%obuild_dir_bin%\osc_zip.dll" GOTO end_if_copy_22
  COPY "%obuild_zip_path%\%obuild_dir_bin%\osc_zip.dll" "%obuild_dir_project%\bin\." 1> exe_error_22
  @IF ERRORLEVEL 1 @TYPE exe_error_22 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_22
:end_if_copy_22
:end_if_release_38
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p13`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_expat_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_39
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.arc" GOTO end_if_copy_23
  COPY "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.arc" "%obuild_dir_project%\lib\." 1> exe_error_23
  @IF ERRORLEVEL 1 @TYPE exe_error_23 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_23
:end_if_copy_23
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.lib" GOTO end_if_copy_24
  COPY "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.lib" "%obuild_dir_project%\lib\." 1> exe_error_24
  @IF ERRORLEVEL 1 @TYPE exe_error_24 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_24
:end_if_copy_24
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.dll" GOTO end_if_copy_25
  COPY "%obuild_expat_path%\%obuild_dir_bin%\osc_expat.dll" "%obuild_dir_project%\bin\." 1> exe_error_25
  @IF ERRORLEVEL 1 @TYPE exe_error_25 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_25
:end_if_copy_25
:end_if_release_39
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_40
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.arc" GOTO end_if_copy_26
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.arc" "%obuild_dir_project%\lib\." 1> exe_error_26
  @IF ERRORLEVEL 1 @TYPE exe_error_26 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_26
:end_if_copy_26
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.lib" GOTO end_if_copy_27
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.lib" "%obuild_dir_project%\lib\." 1> exe_error_27
  @IF ERRORLEVEL 1 @TYPE exe_error_27 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_27
:end_if_copy_27
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.dll" GOTO end_if_copy_28
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibUtils.dll" "%obuild_dir_project%\bin\." 1> exe_error_28
  @IF ERRORLEVEL 1 @TYPE exe_error_28 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_28
:end_if_copy_28
:end_if_release_40
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_41
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.arc" GOTO end_if_copy_29
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.arc" "%obuild_dir_project%\lib\." 1> exe_error_29
  @IF ERRORLEVEL 1 @TYPE exe_error_29 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_29
:end_if_copy_29
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.lib" GOTO end_if_copy_30
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.lib" "%obuild_dir_project%\lib\." 1> exe_error_30
  @IF ERRORLEVEL 1 @TYPE exe_error_30 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_30
:end_if_copy_30
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.dll" GOTO end_if_copy_31
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibZip.dll" "%obuild_dir_project%\bin\." 1> exe_error_31
  @IF ERRORLEVEL 1 @TYPE exe_error_31 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_31
:end_if_copy_31
:end_if_release_41
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_42
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.arc" GOTO end_if_copy_32
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.arc" "%obuild_dir_project%\lib\." 1> exe_error_32
  @IF ERRORLEVEL 1 @TYPE exe_error_32 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_32
:end_if_copy_32
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.lib" GOTO end_if_copy_33
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.lib" "%obuild_dir_project%\lib\." 1> exe_error_33
  @IF ERRORLEVEL 1 @TYPE exe_error_33 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_33
:end_if_copy_33
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.dll" GOTO end_if_copy_34
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibXML.dll" "%obuild_dir_project%\bin\." 1> exe_error_34
  @IF ERRORLEVEL 1 @TYPE exe_error_34 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_34
:end_if_copy_34
:end_if_release_42
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_43
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.arc" GOTO end_if_copy_35
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.arc" "%obuild_dir_project%\lib\." 1> exe_error_35
  @IF ERRORLEVEL 1 @TYPE exe_error_35 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_35
:end_if_copy_35
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.lib" GOTO end_if_copy_36
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.lib" "%obuild_dir_project%\lib\." 1> exe_error_36
  @IF ERRORLEVEL 1 @TYPE exe_error_36 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_36
:end_if_copy_36
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.dll" GOTO end_if_copy_37
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibSocket.dll" "%obuild_dir_project%\bin\." 1> exe_error_37
  @IF ERRORLEVEL 1 @TYPE exe_error_37 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_37
:end_if_copy_37
:end_if_release_43
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r0p8`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_HCL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_44
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL.arc" GOTO end_if_copy_38
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL.arc" "%obuild_dir_project%\lib\." 1> exe_error_38
  @IF ERRORLEVEL 1 @TYPE exe_error_38 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_38
:end_if_copy_38
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL.lib" GOTO end_if_copy_39
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL.lib" "%obuild_dir_project%\lib\." 1> exe_error_39
  @IF ERRORLEVEL 1 @TYPE exe_error_39 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_39
:end_if_copy_39
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL.dll" GOTO end_if_copy_40
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL.dll" "%obuild_dir_project%\bin\." 1> exe_error_40
  @IF ERRORLEVEL 1 @TYPE exe_error_40 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_40
:end_if_copy_40
:end_if_release_44
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r0p8`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Midnight_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_45
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.arc" GOTO end_if_copy_41
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.arc" "%obuild_dir_project%\lib\." 1> exe_error_41
  @IF ERRORLEVEL 1 @TYPE exe_error_41 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_41
:end_if_copy_41
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.lib" GOTO end_if_copy_42
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.lib" "%obuild_dir_project%\lib\." 1> exe_error_42
  @IF ERRORLEVEL 1 @TYPE exe_error_42 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_42
:end_if_copy_42
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.dll" GOTO end_if_copy_43
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight.dll" "%obuild_dir_project%\bin\." 1> exe_error_43
  @IF ERRORLEVEL 1 @TYPE exe_error_43 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_43
:end_if_copy_43
:end_if_release_45
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_46
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.arc" GOTO end_if_copy_44
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.arc" "%obuild_dir_project%\lib\." 1> exe_error_44
  @IF ERRORLEVEL 1 @TYPE exe_error_44 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_44
:end_if_copy_44
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.lib" GOTO end_if_copy_45
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.lib" "%obuild_dir_project%\lib\." 1> exe_error_45
  @IF ERRORLEVEL 1 @TYPE exe_error_45 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_45
:end_if_copy_45
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.dll" GOTO end_if_copy_46
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\osc_Minuit.dll" "%obuild_dir_project%\bin\." 1> exe_error_46
  @IF ERRORLEVEL 1 @TYPE exe_error_46 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_46
:end_if_copy_46
:end_if_release_46
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v10r0p0`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_47
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\osc_Rio.arc" GOTO end_if_copy_47
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\osc_Rio.arc" "%obuild_dir_project%\lib\." 1> exe_error_47
  @IF ERRORLEVEL 1 @TYPE exe_error_47 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_47
:end_if_copy_47
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\osc_Rio.lib" GOTO end_if_copy_48
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\osc_Rio.lib" "%obuild_dir_project%\lib\." 1> exe_error_48
  @IF ERRORLEVEL 1 @TYPE exe_error_48 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_48
:end_if_copy_48
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\osc_Rio.dll" GOTO end_if_copy_49
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\osc_Rio.dll" "%obuild_dir_project%\bin\." 1> exe_error_49
  @IF ERRORLEVEL 1 @TYPE exe_error_49 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_49
:end_if_copy_49
:end_if_release_47
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r165p10`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_HDF5_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_48
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.arc" GOTO end_if_copy_50
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.arc" "%obuild_dir_project%\lib\." 1> exe_error_50
  @IF ERRORLEVEL 1 @TYPE exe_error_50 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_50
:end_if_copy_50
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.lib" GOTO end_if_copy_51
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.lib" "%obuild_dir_project%\lib\." 1> exe_error_51
  @IF ERRORLEVEL 1 @TYPE exe_error_51 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_51
:end_if_copy_51
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.dll" GOTO end_if_copy_52
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\osc_HDF5.dll" "%obuild_dir_project%\bin\." 1> exe_error_52
  @IF ERRORLEVEL 1 @TYPE exe_error_52 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_52
:end_if_copy_52
:end_if_release_48
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_49
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.arc" GOTO end_if_copy_53
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.arc" "%obuild_dir_project%\lib\." 1> exe_error_53
  @IF ERRORLEVEL 1 @TYPE exe_error_53 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_53
:end_if_copy_53
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.lib" GOTO end_if_copy_54
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.lib" "%obuild_dir_project%\lib\." 1> exe_error_54
  @IF ERRORLEVEL 1 @TYPE exe_error_54 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_54
:end_if_copy_54
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.dll" GOTO end_if_copy_55
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabCore.dll" "%obuild_dir_project%\bin\." 1> exe_error_55
  @IF ERRORLEVEL 1 @TYPE exe_error_55 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_55
:end_if_copy_55
:end_if_release_49
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_50
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.arc" GOTO end_if_copy_56
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.arc" "%obuild_dir_project%\lib\." 1> exe_error_56
  @IF ERRORLEVEL 1 @TYPE exe_error_56 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_56
:end_if_copy_56
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.lib" GOTO end_if_copy_57
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.lib" "%obuild_dir_project%\lib\." 1> exe_error_57
  @IF ERRORLEVEL 1 @TYPE exe_error_57 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_57
:end_if_copy_57
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.dll" GOTO end_if_copy_58
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabAIDA.dll" "%obuild_dir_project%\bin\." 1> exe_error_58
  @IF ERRORLEVEL 1 @TYPE exe_error_58 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_58
:end_if_copy_58
:end_if_release_50
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_51
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXMLCore.arc" GOTO end_if_copy_59
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXMLCore.arc" "%obuild_dir_project%\lib\." 1> exe_error_59
  @IF ERRORLEVEL 1 @TYPE exe_error_59 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_59
:end_if_copy_59
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXMLCore.lib" GOTO end_if_copy_60
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXMLCore.lib" "%obuild_dir_project%\lib\." 1> exe_error_60
  @IF ERRORLEVEL 1 @TYPE exe_error_60 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_60
:end_if_copy_60
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXMLCore.dll" GOTO end_if_copy_61
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXMLCore.dll" "%obuild_dir_project%\bin\." 1> exe_error_61
  @IF ERRORLEVEL 1 @TYPE exe_error_61 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_61
:end_if_copy_61
:end_if_release_51
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_52
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.arc" GOTO end_if_copy_62
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.arc" "%obuild_dir_project%\lib\." 1> exe_error_62
  @IF ERRORLEVEL 1 @TYPE exe_error_62 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_62
:end_if_copy_62
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.lib" GOTO end_if_copy_63
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.lib" "%obuild_dir_project%\lib\." 1> exe_error_63
  @IF ERRORLEVEL 1 @TYPE exe_error_63 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_63
:end_if_copy_63
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.dll" GOTO end_if_copy_64
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHBOOK.dll" "%obuild_dir_project%\bin\." 1> exe_error_64
  @IF ERRORLEVEL 1 @TYPE exe_error_64 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_64
:end_if_copy_64
:end_if_release_52

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_53
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" GOTO end_if_copy_65
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" "%obuild_dir_project%\lib\." 1> exe_error_65
  @IF ERRORLEVEL 1 @TYPE exe_error_65 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_65
:end_if_copy_65
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" GOTO end_if_copy_66
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" "%obuild_dir_project%\bin\." 1> exe_error_66
  @IF ERRORLEVEL 1 @TYPE exe_error_66 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_66
:end_if_copy_66
:end_if_release_53
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_54
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" GOTO end_if_copy_67
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" "%obuild_dir_project%\lib\." 1> exe_error_67
  @IF ERRORLEVEL 1 @TYPE exe_error_67 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_67
:end_if_copy_67
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" GOTO end_if_copy_68
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" "%obuild_dir_project%\bin\." 1> exe_error_68
  @IF ERRORLEVEL 1 @TYPE exe_error_68 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_68
:end_if_copy_68
:end_if_release_54
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_55
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" GOTO end_if_copy_69
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" "%obuild_dir_project%\lib\." 1> exe_error_69
  @IF ERRORLEVEL 1 @TYPE exe_error_69 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_69
:end_if_copy_69
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" GOTO end_if_copy_70
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" "%obuild_dir_project%\bin\." 1> exe_error_70
  @IF ERRORLEVEL 1 @TYPE exe_error_70 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_70
:end_if_copy_70
:end_if_release_55
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_56
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" GOTO end_if_copy_71
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" "%obuild_dir_project%\lib\." 1> exe_error_71
  @IF ERRORLEVEL 1 @TYPE exe_error_71 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_71
:end_if_copy_71
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" GOTO end_if_copy_72
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" "%obuild_dir_project%\bin\." 1> exe_error_72
  @IF ERRORLEVEL 1 @TYPE exe_error_72 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_72
:end_if_copy_72
:end_if_release_56
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_57
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" GOTO end_if_copy_73
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" "%obuild_dir_project%\lib\." 1> exe_error_73
  @IF ERRORLEVEL 1 @TYPE exe_error_73 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_73
:end_if_copy_73
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" GOTO end_if_copy_74
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" "%obuild_dir_project%\bin\." 1> exe_error_74
  @IF ERRORLEVEL 1 @TYPE exe_error_74 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_74
:end_if_copy_74
:end_if_release_57
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  GOTO end_if_release_58
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" GOTO end_if_copy_75
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" "%obuild_dir_project%\lib\." 1> exe_error_75
  @IF ERRORLEVEL 1 @TYPE exe_error_75 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_75
:end_if_copy_75
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" GOTO end_if_copy_76
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" "%obuild_dir_project%\bin\." 1> exe_error_76
  @IF ERRORLEVEL 1 @TYPE exe_error_76 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_76
:end_if_copy_76
:end_if_release_58
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_59
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZip.lib" GOTO end_if_copy_77
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZip.lib" "%obuild_dir_project%\lib\." 1> exe_error_77
  @IF ERRORLEVEL 1 @TYPE exe_error_77 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_77
:end_if_copy_77
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZip.dll" GOTO end_if_copy_78
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZip.dll" "%obuild_dir_project%\bin\." 1> exe_error_78
  @IF ERRORLEVEL 1 @TYPE exe_error_78 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_78
:end_if_copy_78
:end_if_release_59
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_60
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabFS.lib" GOTO end_if_copy_79
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabFS.lib" "%obuild_dir_project%\lib\." 1> exe_error_79
  @IF ERRORLEVEL 1 @TYPE exe_error_79 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_79
:end_if_copy_79
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabFS.dll" GOTO end_if_copy_80
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabFS.dll" "%obuild_dir_project%\bin\." 1> exe_error_80
  @IF ERRORLEVEL 1 @TYPE exe_error_80 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_80
:end_if_copy_80
:end_if_release_60

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  obuild v1r10p0`) DO SET obuild_obuild_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return

IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_61
IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" GOTO end_if_copy_81
  COPY "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" "%obuild_dir_project%\bin\." 1> exe_error_81
  @IF ERRORLEVEL 1 @TYPE exe_error_81 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_81
:end_if_copy_81
:end_if_release_61
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  obuild v1r10p0`) DO SET obuild_obuild_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return

IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_62
IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" GOTO end_if_copy_82
  COPY "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" "%obuild_dir_project%\bin\." 1> exe_error_82
  @IF ERRORLEVEL 1 @TYPE exe_error_82 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_82
:end_if_copy_82
:end_if_release_62
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p11`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_63
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" GOTO end_if_copy_83
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" "%obuild_dir_project%\bin\." 1> exe_error_83
  @IF ERRORLEVEL 1 @TYPE exe_error_83 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_83
:end_if_copy_83
:end_if_release_63
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r114p11`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_64
IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" GOTO end_if_copy_84
  COPY "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" "%obuild_dir_project%\bin\." 1> exe_error_84
  @IF ERRORLEVEL 1 @TYPE exe_error_84 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_84
:end_if_copy_84
:end_if_release_64
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip v1r101p5`) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zip_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_zip_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_65
IF NOT EXIST "%obuild_zip_path%\%obuild_dir_bin%\zip_minizip.exe" GOTO end_if_copy_85
  COPY "%obuild_zip_path%\%obuild_dir_bin%\zip_minizip.exe" "%obuild_dir_project%\bin\." 1> exe_error_85
  @IF ERRORLEVEL 1 @TYPE exe_error_85 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_85
:end_if_copy_85
:end_if_release_65
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip v1r101p5`) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return

IF NOT EXIST "%obuild_zip_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_zip_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_66
IF NOT EXIST "%obuild_zip_path%\%obuild_dir_bin%\zip_miniuzip.exe" GOTO end_if_copy_86
  COPY "%obuild_zip_path%\%obuild_dir_bin%\zip_miniuzip.exe" "%obuild_dir_project%\bin\." 1> exe_error_86
  @IF ERRORLEVEL 1 @TYPE exe_error_86 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_86
:end_if_copy_86
:end_if_release_66
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r11p13`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return

IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_expat_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_67
IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" GOTO end_if_copy_87
  COPY "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" "%obuild_dir_project%\bin\." 1> exe_error_87
  @IF ERRORLEVEL 1 @TYPE exe_error_87 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_87
:end_if_copy_87
:end_if_release_67
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r7p0`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Slash_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Slash_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_68
IF NOT EXIST "%obuild_Slash_path%\%obuild_dir_bin%\Slash_config_save.exe" GOTO end_if_copy_88
  COPY "%obuild_Slash_path%\%obuild_dir_bin%\Slash_config_save.exe" "%obuild_dir_project%\bin\." 1> exe_error_88
  @IF ERRORLEVEL 1 @TYPE exe_error_88 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_88
:end_if_copy_88
IF NOT EXIST "%obuild_Slash_path%\%obuild_dir_bin%\Slash_config_save.save" GOTO end_if_copy_89
  COPY "%obuild_Slash_path%\%obuild_dir_bin%\Slash_config_save.save" "%obuild_dir_project%\bin\." 1> exe_error_89
  @IF ERRORLEVEL 1 @TYPE exe_error_89 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_89
:end_if_copy_89
:end_if_release_68
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r7p0`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Slash_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Slash_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_69
IF NOT EXIST "%obuild_Slash_path%\%obuild_dir_bin%\Slash_config.exe" GOTO end_if_copy_90
  COPY "%obuild_Slash_path%\%obuild_dir_bin%\Slash_config.exe" "%obuild_dir_project%\bin\." 1> exe_error_90
  @IF ERRORLEVEL 1 @TYPE exe_error_90 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_90
:end_if_copy_90
IF NOT EXIST "%obuild_Slash_path%\%obuild_dir_bin%\slash-config.exe" GOTO end_if_copy_91
  COPY "%obuild_Slash_path%\%obuild_dir_bin%\slash-config.exe" "%obuild_dir_project%\bin\." 1> exe_error_91
  @IF ERRORLEVEL 1 @TYPE exe_error_91 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_91
:end_if_copy_91
:end_if_release_69
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r7p0`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Slash_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Slash_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_70
IF NOT EXIST "%obuild_Slash_path%\%obuild_dir_bin%\Slash_test.exe" GOTO end_if_copy_92
  COPY "%obuild_Slash_path%\%obuild_dir_bin%\Slash_test.exe" "%obuild_dir_project%\bin\." 1> exe_error_92
  @IF ERRORLEVEL 1 @TYPE exe_error_92 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_92
:end_if_copy_92
:end_if_release_70
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_71
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" GOTO end_if_copy_93
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" "%obuild_dir_project%\bin\." 1> exe_error_93
  @IF ERRORLEVEL 1 @TYPE exe_error_93 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_93
:end_if_copy_93
:end_if_release_71
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_72
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" GOTO end_if_copy_94
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" "%obuild_dir_project%\bin\." 1> exe_error_94
  @IF ERRORLEVEL 1 @TYPE exe_error_94 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_94
:end_if_copy_94
:end_if_release_72
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_73
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" GOTO end_if_copy_95
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" "%obuild_dir_project%\bin\." 1> exe_error_95
  @IF ERRORLEVEL 1 @TYPE exe_error_95 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_95
:end_if_copy_95
:end_if_release_73
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_74
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" GOTO end_if_copy_96
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" "%obuild_dir_project%\bin\." 1> exe_error_96
  @IF ERRORLEVEL 1 @TYPE exe_error_96 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_96
:end_if_copy_96
:end_if_release_74
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_75
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_subs.exe" GOTO end_if_copy_97
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_subs.exe" "%obuild_dir_project%\bin\." 1> exe_error_97
  @IF ERRORLEVEL 1 @TYPE exe_error_97 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_97
:end_if_copy_97
:end_if_release_75
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_76
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_run.exe" GOTO end_if_copy_98
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_run.exe" "%obuild_dir_project%\bin\." 1> exe_error_98
  @IF ERRORLEVEL 1 @TYPE exe_error_98 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_98
:end_if_copy_98
:end_if_release_76
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_77
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_clone.exe" GOTO end_if_copy_99
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_clone.exe" "%obuild_dir_project%\bin\." 1> exe_error_99
  @IF ERRORLEVEL 1 @TYPE exe_error_99 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_99
:end_if_copy_99
:end_if_release_77
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_78
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_upgrade.exe" GOTO end_if_copy_100
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_upgrade.exe" "%obuild_dir_project%\bin\." 1> exe_error_100
  @IF ERRORLEVEL 1 @TYPE exe_error_100 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_100
:end_if_copy_100
:end_if_release_78
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_79
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_find.exe" GOTO end_if_copy_101
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_find.exe" "%obuild_dir_project%\bin\." 1> exe_error_101
  @IF ERRORLEVEL 1 @TYPE exe_error_101 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_101
:end_if_copy_101
:end_if_release_79
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_80
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_wrap.exe" GOTO end_if_copy_102
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_wrap.exe" "%obuild_dir_project%\bin\." 1> exe_error_102
  @IF ERRORLEVEL 1 @TYPE exe_error_102 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_102
:end_if_copy_102
:end_if_release_80
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_81
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_calc.exe" GOTO end_if_copy_103
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_calc.exe" "%obuild_dir_project%\bin\." 1> exe_error_103
  @IF ERRORLEVEL 1 @TYPE exe_error_103 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_103
:end_if_copy_103
:end_if_release_81
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_82
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_dld.exe" GOTO end_if_copy_104
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_dld.exe" "%obuild_dir_project%\bin\." 1> exe_error_104
  @IF ERRORLEVEL 1 @TYPE exe_error_104 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_104
:end_if_copy_104
:end_if_release_82
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_83
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_file_header.exe" GOTO end_if_copy_105
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_file_header.exe" "%obuild_dir_project%\bin\." 1> exe_error_105
  @IF ERRORLEVEL 1 @TYPE exe_error_105 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_105
:end_if_copy_105
:end_if_release_83
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_84
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_cxx.exe" GOTO end_if_copy_106
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_cxx.exe" "%obuild_dir_project%\bin\." 1> exe_error_106
  @IF ERRORLEVEL 1 @TYPE exe_error_106 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_106
:end_if_copy_106
:end_if_release_84
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_85
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.exe" GOTO end_if_copy_107
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_f77.exe" "%obuild_dir_project%\bin\." 1> exe_error_107
  @IF ERRORLEVEL 1 @TYPE exe_error_107 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_107
:end_if_copy_107
:end_if_release_85
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_86
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_STL.exe" GOTO end_if_copy_108
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_STL.exe" "%obuild_dir_project%\bin\." 1> exe_error_108
  @IF ERRORLEVEL 1 @TYPE exe_error_108 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_108
:end_if_copy_108
:end_if_release_86
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_87
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_accessorManager.exe" GOTO end_if_copy_109
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_accessorManager.exe" "%obuild_dir_project%\bin\." 1> exe_error_109
  @IF ERRORLEVEL 1 @TYPE exe_error_109 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_109
:end_if_copy_109
:end_if_release_87
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_88
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_array.exe" GOTO end_if_copy_110
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_array.exe" "%obuild_dir_project%\bin\." 1> exe_error_110
  @IF ERRORLEVEL 1 @TYPE exe_error_110 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_110
:end_if_copy_110
:end_if_release_88
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_89
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_colormanip.exe" GOTO end_if_copy_111
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_colormanip.exe" "%obuild_dir_project%\bin\." 1> exe_error_111
  @IF ERRORLEVEL 1 @TYPE exe_error_111 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_111
:end_if_copy_111
:end_if_release_89
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_90
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_columns.exe" GOTO end_if_copy_112
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_columns.exe" "%obuild_dir_project%\bin\." 1> exe_error_112
  @IF ERRORLEVEL 1 @TYPE exe_error_112 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_112
:end_if_copy_112
:end_if_release_90
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_91
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_contour.exe" GOTO end_if_copy_113
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_contour.exe" "%obuild_dir_project%\bin\." 1> exe_error_113
  @IF ERRORLEVEL 1 @TYPE exe_error_113 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_113
:end_if_copy_113
:end_if_release_91
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_92
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_debug.exe" GOTO end_if_copy_114
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_debug.exe" "%obuild_dir_project%\bin\." 1> exe_error_114
  @IF ERRORLEVEL 1 @TYPE exe_error_114 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_114
:end_if_copy_114
:end_if_release_92
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_93
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_dirmanip.exe" GOTO end_if_copy_115
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_dirmanip.exe" "%obuild_dir_project%\bin\." 1> exe_error_115
  @IF ERRORLEVEL 1 @TYPE exe_error_115 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_115
:end_if_copy_115
:end_if_release_93
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_94
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_extern.exe" GOTO end_if_copy_116
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_extern.exe" "%obuild_dir_project%\bin\." 1> exe_error_116
  @IF ERRORLEVEL 1 @TYPE exe_error_116 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_116
:end_if_copy_116
:end_if_release_94
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_95
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_fortran_format.exe" GOTO end_if_copy_117
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_fortran_format.exe" "%obuild_dir_project%\bin\." 1> exe_error_117
  @IF ERRORLEVEL 1 @TYPE exe_error_117 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_117
:end_if_copy_117
:end_if_release_95
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_96
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functionManager.exe" GOTO end_if_copy_118
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functionManager.exe" "%obuild_dir_project%\bin\." 1> exe_error_118
  @IF ERRORLEVEL 1 @TYPE exe_error_118 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_118
:end_if_copy_118
:end_if_release_96
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_97
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functions.exe" GOTO end_if_copy_119
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_functions.exe" "%obuild_dir_project%\bin\." 1> exe_error_119
  @IF ERRORLEVEL 1 @TYPE exe_error_119 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_119
:end_if_copy_119
:end_if_release_97
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_98
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_home.exe" GOTO end_if_copy_120
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_home.exe" "%obuild_dir_project%\bin\." 1> exe_error_120
  @IF ERRORLEVEL 1 @TYPE exe_error_120 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_120
:end_if_copy_120
:end_if_release_98
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_99
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_parameters.exe" GOTO end_if_copy_121
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_parameters.exe" "%obuild_dir_project%\bin\." 1> exe_error_121
  @IF ERRORLEVEL 1 @TYPE exe_error_121 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_121
:end_if_copy_121
:end_if_release_99
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_100
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_paw_set_opt.exe" GOTO end_if_copy_122
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_paw_set_opt.exe" "%obuild_dir_project%\bin\." 1> exe_error_122
  @IF ERRORLEVEL 1 @TYPE exe_error_122 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_122
:end_if_copy_122
:end_if_release_100
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_101
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_prime.exe" GOTO end_if_copy_123
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_prime.exe" "%obuild_dir_project%\bin\." 1> exe_error_123
  @IF ERRORLEVEL 1 @TYPE exe_error_123 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_123
:end_if_copy_123
:end_if_release_101
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_102
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_processor.exe" GOTO end_if_copy_124
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_processor.exe" "%obuild_dir_project%\bin\." 1> exe_error_124
  @IF ERRORLEVEL 1 @TYPE exe_error_124 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_124
:end_if_copy_124
:end_if_release_102
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_103
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_rio_sinfo.exe" GOTO end_if_copy_125
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_rio_sinfo.exe" "%obuild_dir_project%\bin\." 1> exe_error_125
  @IF ERRORLEVEL 1 @TYPE exe_error_125 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_125
:end_if_copy_125
:end_if_release_103
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_104
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_smanip.exe" GOTO end_if_copy_126
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_smanip.exe" "%obuild_dir_project%\bin\." 1> exe_error_126
  @IF ERRORLEVEL 1 @TYPE exe_error_126 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_126
:end_if_copy_126
:end_if_release_104
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_105
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_symbolic.exe" GOTO end_if_copy_127
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_symbolic.exe" "%obuild_dir_project%\bin\." 1> exe_error_127
  @IF ERRORLEVEL 1 @TYPE exe_error_127 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_127
:end_if_copy_127
:end_if_release_105
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_106
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_args.exe" GOTO end_if_copy_128
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_args.exe" "%obuild_dir_project%\bin\." 1> exe_error_128
  @IF ERRORLEVEL 1 @TYPE exe_error_128 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_128
:end_if_copy_128
:end_if_release_106
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_107
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_algebra.exe" GOTO end_if_copy_129
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_algebra.exe" "%obuild_dir_project%\bin\." 1> exe_error_129
  @IF ERRORLEVEL 1 @TYPE exe_error_129 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_129
:end_if_copy_129
:end_if_release_107
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_108
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" GOTO end_if_copy_130
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_phys.exe" "%obuild_dir_project%\bin\." 1> exe_error_130
  @IF ERRORLEVEL 1 @TYPE exe_error_130 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_130
:end_if_copy_130
:end_if_release_108
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_109
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" GOTO end_if_copy_131
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_baker_hausdorf.exe" "%obuild_dir_project%\bin\." 1> exe_error_131
  @IF ERRORLEVEL 1 @TYPE exe_error_131 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_131
:end_if_copy_131
:end_if_release_109
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_110
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_vmanip.exe" GOTO end_if_copy_132
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_vmanip.exe" "%obuild_dir_project%\bin\." 1> exe_error_132
  @IF ERRORLEVEL 1 @TYPE exe_error_132 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_132
:end_if_copy_132
:end_if_release_110
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_111
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" GOTO end_if_copy_133
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_objectML.exe" "%obuild_dir_project%\bin\." 1> exe_error_133
  @IF ERRORLEVEL 1 @TYPE exe_error_133 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_133
:end_if_copy_133
:end_if_release_111
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_112
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" GOTO end_if_copy_134
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_xml.exe" "%obuild_dir_project%\bin\." 1> exe_error_134
  @IF ERRORLEVEL 1 @TYPE exe_error_134 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_134
:end_if_copy_134
:end_if_release_112
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_113
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_gzip.exe" GOTO end_if_copy_135
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_gzip.exe" "%obuild_dir_project%\bin\." 1> exe_error_135
  @IF ERRORLEVEL 1 @TYPE exe_error_135 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_135
:end_if_copy_135
:end_if_release_113
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_114
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" GOTO end_if_copy_136
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_zip.exe" "%obuild_dir_project%\bin\." 1> exe_error_136
  @IF ERRORLEVEL 1 @TYPE exe_error_136 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_136
:end_if_copy_136
:end_if_release_114
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_115
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" GOTO end_if_copy_137
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_client.exe" "%obuild_dir_project%\bin\." 1> exe_error_137
  @IF ERRORLEVEL 1 @TYPE exe_error_137 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_137
:end_if_copy_137
:end_if_release_115
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r8p1`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_116
IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" GOTO end_if_copy_138
  COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_test_server.exe" "%obuild_dir_project%\bin\." 1> exe_error_138
  @IF ERRORLEVEL 1 @TYPE exe_error_138 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_138
:end_if_copy_138
:end_if_release_116
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r0p8`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_HCL_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_117
IF NOT EXIST "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" GOTO end_if_copy_139
  COPY "%obuild_HCL_path%\%obuild_dir_bin%\HCL_example.exe" "%obuild_dir_project%\bin\." 1> exe_error_139
  @IF ERRORLEVEL 1 @TYPE exe_error_139 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_139
:end_if_copy_139
:end_if_release_117
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r0p8`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Midnight_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_118
IF NOT EXIST "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" GOTO end_if_copy_140
  COPY "%obuild_Midnight_path%\%obuild_dir_bin%\Midnight_example.exe" "%obuild_dir_project%\bin\." 1> exe_error_140
  @IF ERRORLEVEL 1 @TYPE exe_error_140 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_140
:end_if_copy_140
:end_if_release_118
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_119
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" GOTO end_if_copy_141
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_DemoGaussSim.exe" "%obuild_dir_project%\bin\." 1> exe_error_141
  @IF ERRORLEVEL 1 @TYPE exe_error_141 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_141
:end_if_copy_141
:end_if_release_119
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_120
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" GOTO end_if_copy_142
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest.exe" "%obuild_dir_project%\bin\." 1> exe_error_142
  @IF ERRORLEVEL 1 @TYPE exe_error_142 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_142
:end_if_copy_142
:end_if_release_120
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_121
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" GOTO end_if_copy_143
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest2.exe" "%obuild_dir_project%\bin\." 1> exe_error_143
  @IF ERRORLEVEL 1 @TYPE exe_error_143 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_143
:end_if_copy_143
:end_if_release_121
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_122
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" GOTO end_if_copy_144
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest3.exe" "%obuild_dir_project%\bin\." 1> exe_error_144
  @IF ERRORLEVEL 1 @TYPE exe_error_144 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_144
:end_if_copy_144
:end_if_release_122
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_123
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" GOTO end_if_copy_145
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_PaulTest4.exe" "%obuild_dir_project%\bin\." 1> exe_error_145
  @IF ERRORLEVEL 1 @TYPE exe_error_145 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_145
:end_if_copy_145
:end_if_release_123
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_124
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" GOTO end_if_copy_146
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_ReneTest.exe" "%obuild_dir_project%\bin\." 1> exe_error_146
  @IF ERRORLEVEL 1 @TYPE exe_error_146 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_146
:end_if_copy_146
:end_if_release_124
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_125
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" GOTO end_if_copy_147
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad1FMain.exe" "%obuild_dir_project%\bin\." 1> exe_error_147
  @IF ERRORLEVEL 1 @TYPE exe_error_147 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_147
:end_if_copy_147
:end_if_release_125
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_126
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" GOTO end_if_copy_148
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad2FMain.exe" "%obuild_dir_project%\bin\." 1> exe_error_148
  @IF ERRORLEVEL 1 @TYPE exe_error_148 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_148
:end_if_copy_148
:end_if_release_126
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_127
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" GOTO end_if_copy_149
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad3FMain.exe" "%obuild_dir_project%\bin\." 1> exe_error_149
  @IF ERRORLEVEL 1 @TYPE exe_error_149 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_149
:end_if_copy_149
:end_if_release_127
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_128
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" GOTO end_if_copy_150
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad4FMain.exe" "%obuild_dir_project%\bin\." 1> exe_error_150
  @IF ERRORLEVEL 1 @TYPE exe_error_150 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_150
:end_if_copy_150
:end_if_release_128
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_129
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad8FMain.exe" GOTO end_if_copy_151
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad8FMain.exe" "%obuild_dir_project%\bin\." 1> exe_error_151
  @IF ERRORLEVEL 1 @TYPE exe_error_151 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_151
:end_if_copy_151
:end_if_release_129
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r140p12`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Minuit_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_130
IF NOT EXIST "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad12FMain.exe" GOTO end_if_copy_152
  COPY "%obuild_Minuit_path%\%obuild_dir_bin%\Minuit_test_Quad12FMain.exe" "%obuild_dir_project%\bin\." 1> exe_error_152
  @IF ERRORLEVEL 1 @TYPE exe_error_152 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_152
:end_if_copy_152
:end_if_release_130
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v10r0p0`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_131
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_rio.exe" GOTO end_if_copy_153
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_rio.exe" "%obuild_dir_project%\bin\." 1> exe_error_153
  @IF ERRORLEVEL 1 @TYPE exe_error_153 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_153
:end_if_copy_153
:end_if_release_131
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v10r0p0`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_132
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test.exe" GOTO end_if_copy_154
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test.exe" "%obuild_dir_project%\bin\." 1> exe_error_154
  @IF ERRORLEVEL 1 @TYPE exe_error_154 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_154
:end_if_copy_154
:end_if_release_132
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v10r0p0`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_133
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec.exe" GOTO end_if_copy_155
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec.exe" "%obuild_dir_project%\bin\." 1> exe_error_155
  @IF ERRORLEVEL 1 @TYPE exe_error_155 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_155
:end_if_copy_155
:end_if_release_133
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v10r0p0`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_134
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec_read.exe" GOTO end_if_copy_156
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_jec_read.exe" "%obuild_dir_project%\bin\." 1> exe_error_156
  @IF ERRORLEVEL 1 @TYPE exe_error_156 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_156
:end_if_copy_156
:end_if_release_134
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Rio v10r0p0`) DO SET obuild_Rio_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_Rio_path  ECHO Can't find Rio package.  && GOTO obuild_return

IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_Rio_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_135
IF NOT EXIST "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_stl.exe" GOTO end_if_copy_157
  COPY "%obuild_Rio_path%\%obuild_dir_bin%\Rio_test_stl.exe" "%obuild_dir_project%\bin\." 1> exe_error_157
  @IF ERRORLEVEL 1 @TYPE exe_error_157 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_157
:end_if_copy_157
:end_if_release_135
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r165p10`) DO SET obuild_HDF5_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return

IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_HDF5_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_136
IF NOT EXIST "%obuild_HDF5_path%\%obuild_dir_bin%\h5_array_compound.exe" GOTO end_if_copy_158
  COPY "%obuild_HDF5_path%\%obuild_dir_bin%\h5_array_compound.exe" "%obuild_dir_project%\bin\." 1> exe_error_158
  @IF ERRORLEVEL 1 @TYPE exe_error_158 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_158
:end_if_copy_158
:end_if_release_136
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  amanip v1r0p1`) DO SET obuild_amanip_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_amanip_path  ECHO Can't find amanip package.  && GOTO obuild_return

IF NOT EXIST "%obuild_amanip_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_amanip_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_137
IF NOT EXIST "%obuild_amanip_path%\%obuild_dir_bin%\amanip_config_save.exe" GOTO end_if_copy_159
  COPY "%obuild_amanip_path%\%obuild_dir_bin%\amanip_config_save.exe" "%obuild_dir_project%\bin\." 1> exe_error_159
  @IF ERRORLEVEL 1 @TYPE exe_error_159 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_159
:end_if_copy_159
IF NOT EXIST "%obuild_amanip_path%\%obuild_dir_bin%\amanip_config_save.save" GOTO end_if_copy_160
  COPY "%obuild_amanip_path%\%obuild_dir_bin%\amanip_config_save.save" "%obuild_dir_project%\bin\." 1> exe_error_160
  @IF ERRORLEVEL 1 @TYPE exe_error_160 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_160
:end_if_copy_160
:end_if_release_137
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  amanip v1r0p1`) DO SET obuild_amanip_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_amanip_path  ECHO Can't find amanip package.  && GOTO obuild_return

IF NOT EXIST "%obuild_amanip_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_amanip_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_138
IF NOT EXIST "%obuild_amanip_path%\%obuild_dir_bin%\amanip_config.exe" GOTO end_if_copy_161
  COPY "%obuild_amanip_path%\%obuild_dir_bin%\amanip_config.exe" "%obuild_dir_project%\bin\." 1> exe_error_161
  @IF ERRORLEVEL 1 @TYPE exe_error_161 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_161
:end_if_copy_161
IF NOT EXIST "%obuild_amanip_path%\%obuild_dir_bin%\amanip-config.exe" GOTO end_if_copy_162
  COPY "%obuild_amanip_path%\%obuild_dir_bin%\amanip-config.exe" "%obuild_dir_project%\bin\." 1> exe_error_162
  @IF ERRORLEVEL 1 @TYPE exe_error_162 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_162
:end_if_copy_162
:end_if_release_138
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_139
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_aida_config.exe" GOTO end_if_copy_163
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_aida_config.exe" "%obuild_dir_project%\bin\." 1> exe_error_163
  @IF ERRORLEVEL 1 @TYPE exe_error_163 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_163
:end_if_copy_163
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\aida-config.exe" GOTO end_if_copy_164
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\aida-config.exe" "%obuild_dir_project%\bin\." 1> exe_error_164
  @IF ERRORLEVEL 1 @TYPE exe_error_164 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_164
:end_if_copy_164
:end_if_release_139
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_140
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.exe" GOTO end_if_copy_165
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.exe" "%obuild_dir_project%\bin\." 1> exe_error_165
  @IF ERRORLEVEL 1 @TYPE exe_error_165 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_165
:end_if_copy_165
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.save" GOTO end_if_copy_166
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_exa_config.save" "%obuild_dir_project%\bin\." 1> exe_error_166
  @IF ERRORLEVEL 1 @TYPE exe_error_166 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_166
:end_if_copy_166
:end_if_release_140
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_141
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml.exe" GOTO end_if_copy_167
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml.exe" "%obuild_dir_project%\bin\." 1> exe_error_167
  @IF ERRORLEVEL 1 @TYPE exe_error_167 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_167
:end_if_copy_167
:end_if_release_141
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_142
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml2fs.exe" GOTO end_if_copy_168
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_xml2fs.exe" "%obuild_dir_project%\bin\." 1> exe_error_168
  @IF ERRORLEVEL 1 @TYPE exe_error_168 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_168
:end_if_copy_168
:end_if_release_142
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_143
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_tuple.exe" GOTO end_if_copy_169
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_tuple.exe" "%obuild_dir_project%\bin\." 1> exe_error_169
  @IF ERRORLEVEL 1 @TYPE exe_error_169 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_169
:end_if_copy_169
:end_if_release_143
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_144
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_Rio.exe" GOTO end_if_copy_170
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_Rio.exe" "%obuild_dir_project%\bin\." 1> exe_error_170
  @IF ERRORLEVEL 1 @TYPE exe_error_170 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_170
:end_if_copy_170
:end_if_release_144
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_145
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_HDF5.exe" GOTO end_if_copy_171
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_HDF5.exe" "%obuild_dir_project%\bin\." 1> exe_error_171
  @IF ERRORLEVEL 1 @TYPE exe_error_171 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_171
:end_if_copy_171
:end_if_release_145
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r7p0`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  GOTO end_if_release_146
IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_hbook.exe" GOTO end_if_copy_172
  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLab_test_hbook.exe" "%obuild_dir_project%\bin\." 1> exe_error_172
  @IF ERRORLEVEL 1 @TYPE exe_error_172 && @GOTO obuild_return
  @IF NOT ERRORLEVEL 1 @DEL exe_error_172
:end_if_copy_172
:end_if_release_146

IF NOT EXIST "%obuild_osc_batch_path%\..\AIDA\v3r2p1\src\cpp\AIDA"  ECHO WARNING : Directory %obuild_osc_batch_path%\..\AIDA\v3r2p1\src\cpp\AIDA not found.  && GOTO end_if_release_148
IF NOT EXIST "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA" MKDIR "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA"
XCOPY /E /Q "%obuild_osc_batch_path%\..\AIDA\v3r2p1\src\cpp\AIDA" "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA" 1> exe_error_173
@IF ERRORLEVEL 1 @TYPE exe_error_173 && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL exe_error_173
:end_if_release_148
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_batch_1=%%d
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe`) DO SET obuild_platform_signature=%%j
cd "%obuild_pwd_osc_batch_1%"
SET obuild_pwd_osc_batch_1=
IF EXIST "%obuild_dir_project%\desktop" RMDIR /S /Q "%obuild_dir_project%\desktop"
IF EXIST "%obuild_dir_project%\Resources/CMT" RMDIR /S /Q "%obuild_dir_project%\Resources/CMT"
FOR %%f IN ("%obuild_dir_project%"\py-setup*) DO DEL "%%f"
FOR %%f IN ("%obuild_dir_project%"\Python-setup*) DO DEL "%%f"
FOR %%f IN ("%obuild_dir_project%"\Qt-setup*) DO DEL "%%f"
FOR %%f IN ("%obuild_dir_project%"\Geant4-setup*) DO DEL "%%f"
IF EXIST "%obuild_dir_project%\bin"\owrap.exe DEL "%obuild_dir_project%\bin"\owrap.exe
FOR %%f IN ("%obuild_dir_project%\bin"\zip_*) DO DEL "%%f"
FOR %%f IN ("%obuild_dir_project%\bin"\zlib_*) DO DEL "%%f"
FOR %%f IN ("%obuild_dir_project%\bin"\h5_*) DO DEL "%%f"
IF EXIST "%obuild_dir_project%\bin"\expat_example.exe DEL "%obuild_dir_project%\bin"\expat_example.exe
IF EXIST "%obuild_dir_project%\bin"\HCL_example.exe DEL "%obuild_dir_project%\bin"\HCL_example.exe
IF EXIST "%obuild_dir_project%\bin"\Midnight_example.exe DEL "%obuild_dir_project%\bin"\Midnight_example.exe
FOR %%f IN ("%obuild_dir_project%\bin"\Rio_test*) DO DEL "%%f"
IF EXIST "%obuild_dir_project%\bin"\Rio_rio.exe DEL "%obuild_dir_project%\bin"\Rio_rio.exe
IF EXIST "%obuild_dir_project%\bin"\Slash_config_save.exe DEL "%obuild_dir_project%\bin"\Slash_config_save.exe
IF EXIST "%obuild_dir_project%\bin"\Slash_config.exe DEL "%obuild_dir_project%\bin"\Slash_config.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_clone.exe DEL "%obuild_dir_project%\bin"\Lib_clone.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_dld.exe DEL "%obuild_dir_project%\bin"\Lib_dld.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_endian.exe DEL "%obuild_dir_project%\bin"\Lib_endian.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_file_header.exe DEL "%obuild_dir_project%\bin"\Lib_file_header.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_find.exe DEL "%obuild_dir_project%\bin"\Lib_find.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_run.exe DEL "%obuild_dir_project%\bin"\Lib_run.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_sizeof.exe DEL "%obuild_dir_project%\bin"\Lib_sizeof.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_subs.exe DEL "%obuild_dir_project%\bin"\Lib_subs.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_tab.exe DEL "%obuild_dir_project%\bin"\Lib_tab.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_upgrade.exe DEL "%obuild_dir_project%\bin"\Lib_upgrade.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_whereami.exe DEL "%obuild_dir_project%\bin"\Lib_whereami.exe
IF EXIST "%obuild_dir_project%\bin"\Lib_wrap.exe DEL "%obuild_dir_project%\bin"\Lib_wrap.exe
IF EXIST "%obuild_dir_project%\bin"\amanip_config_save.exe DEL "%obuild_dir_project%\bin"\amanip_config_save.exe
IF EXIST "%obuild_dir_project%\bin"\amanip_config.exe DEL "%obuild_dir_project%\bin"\amanip_config.exe
IF EXIST "%obuild_dir_project%\bin"\BatchLab_exa_config.exe DEL "%obuild_dir_project%\bin"\BatchLab_exa_config.exe
FOR %%f IN ("%obuild_dir_project%\bin"\BatchLab_xml*) DO DEL "%%f"
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF EXIST osc_batch-16.11.8-%obuild_platform_signature%%obuild_debug_signature%.zip DEL osc_batch-16.11.8-%obuild_platform_signature%%obuild_debug_signature%.zip
IF EXIST osc_batch-darwin-app-16.11.8-%obuild_platform_signature%${obuild_debug_signature}.zip DEL osc_batch-darwin-app-16.11.8-%obuild_platform_signature%${obuild_debug_signature}.zip
zip -q -r osc_batch-16.11.8-%obuild_platform_signature%%obuild_debug_signature%.zip osc_batch
cd "%obuild_osc_batch_path%\obuild"
cd "%obuild_osc_batch_path%\%obuild_dir_bin%"
IF EXIST obuild_platform.exe DEL obuild_platform.exe
cd "%obuild_pwd_osc_batch_0%"
SET obuild_pwd_osc_batch_0=
:obuild_return
ENDLOCAL
@ECHO ON
